
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800021a0')]      |
| SIG_REGION                | [('0x80004010', '0x800048f0', '568 words')]      |
| COV_LABELS                | xori      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/xori-01.S/xori-01.S    |
| Total Number of coverpoints| 655     |
| Total Coverpoints Hit     | 655      |
| Total Signature Updates   | 566      |
| STAT1                     | 566      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                    coverpoints                                                                                    |                                code                                 |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------|
|   1|[0x80004010]<br>0xCCCCCB34|- opcode : xori<br> - rs1 : x24<br> - rd : x10<br> - rs1 != rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val > 0 and imm_val < 0<br> - imm_val == -2048<br> |[0x80000108]:xori a0, s8, 2048<br> [0x8000010c]:sw a0, 0(sp)<br>     |
|   2|[0x80004014]<br>0x00000004|- rs1 : x18<br> - rd : x18<br> - rs1 == rd<br> - imm_val == 0<br> - rs1_val == 4<br> - rs1_val==4 and imm_val==0<br>                                                               |[0x80000114]:xori s2, s2, 0<br> [0x80000118]:sw s2, 4(sp)<br>        |
|   3|[0x80004018]<br>0xFFFFF803|- rs1 : x15<br> - rd : x24<br> - imm_val == (2**(12-1)-1)<br> - rs1_val < 0 and imm_val > 0<br> - imm_val == 2047<br>                                                              |[0x80000120]:xori s8, a5, 2047<br> [0x80000124]:sw s8, 8(sp)<br>     |
|   4|[0x8000401c]<br>0x00000003|- rs1 : x11<br> - rd : x20<br> - imm_val == 1<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 2<br>                                                                             |[0x8000012c]:xori s4, a1, 1<br> [0x80000130]:sw s4, 12(sp)<br>       |
|   5|[0x80004020]<br>0x80000554|- rs1 : x7<br> - rd : x21<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                                         |[0x80000138]:xori s5, t2, 1364<br> [0x8000013c]:sw s5, 16(sp)<br>    |
|   6|[0x80004024]<br>0xFFFFFBFF|- rs1 : x17<br> - rd : x27<br> - rs1_val == 0<br> - imm_val == -1025<br>                                                                                                           |[0x80000144]:xori s11, a7, 3071<br> [0x80000148]:sw s11, 20(sp)<br>  |
|   7|[0x80004028]<br>0x80000009|- rs1 : x22<br> - rd : x1<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 2147483647<br>                                                                                         |[0x80000154]:xori ra, s6, 4086<br> [0x80000158]:sw ra, 24(sp)<br>    |
|   8|[0x8000402c]<br>0x00000005|- rs1 : x20<br> - rd : x22<br> - rs1_val == 1<br> - imm_val == 4<br>                                                                                                               |[0x80000160]:xori s6, s4, 4<br> [0x80000164]:sw s6, 28(sp)<br>       |
|   9|[0x80004030]<br>0x00000000|- rs1 : x19<br> - rd : x31<br> - rs1_val == imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -513<br> - rs1_val == -513<br>                                              |[0x8000016c]:xori t6, s3, 3583<br> [0x80000170]:sw t6, 32(sp)<br>    |
|  10|[0x80004034]<br>0xFFFFFFDD|- rs1 : x9<br> - rd : x5<br> - imm_val == 2<br> - rs1_val == -33<br>                                                                                                               |[0x80000178]:xori t0, s1, 2<br> [0x8000017c]:sw t0, 36(sp)<br>       |
|  11|[0x80004038]<br>0x80000008|- rs1 : x28<br> - rd : x29<br> - imm_val == 8<br>                                                                                                                                  |[0x80000184]:xori t4, t3, 8<br> [0x80000188]:sw t4, 40(sp)<br>       |
|  12|[0x8000403c]<br>0xBFFFFFEF|- rs1 : x30<br> - rd : x4<br> - imm_val == 16<br> - rs1_val == -1073741825<br>                                                                                                     |[0x80000194]:xori tp, t5, 16<br> [0x80000198]:sw tp, 44(sp)<br>      |
|  13|[0x80004040]<br>0x7FFFFFDF|- rs1 : x27<br> - rd : x8<br> - imm_val == 32<br>                                                                                                                                  |[0x800001a4]:xori fp, s11, 32<br> [0x800001a8]:sw fp, 48(sp)<br>     |
|  14|[0x80004044]<br>0x66666626|- rs1 : x3<br> - rd : x25<br> - imm_val == 64<br>                                                                                                                                  |[0x800001b4]:xori s9, gp, 64<br> [0x800001b8]:sw s9, 52(sp)<br>      |
|  15|[0x80004048]<br>0xFFF7FF7F|- rs1 : x31<br> - rd : x17<br> - imm_val == 128<br> - rs1_val == -524289<br>                                                                                                       |[0x800001c4]:xori a7, t6, 128<br> [0x800001c8]:sw a7, 56(sp)<br>     |
|  16|[0x8000404c]<br>0xFFFF4BFC|- rs1 : x29<br> - rd : x16<br> - imm_val == 256<br>                                                                                                                                |[0x800001d4]:xori a6, t4, 256<br> [0x800001d8]:sw a6, 60(sp)<br>     |
|  17|[0x80004050]<br>0x00000200|- rs1 : x4<br> - rd : x6<br> - imm_val == 512<br>                                                                                                                                  |[0x800001e0]:xori t1, tp, 512<br> [0x800001e4]:sw t1, 64(sp)<br>     |
|  18|[0x80004054]<br>0xFFEFFBFF|- rs1 : x14<br> - rd : x3<br> - imm_val == 1024<br> - rs1_val == -1048577<br>                                                                                                      |[0x800001f0]:xori gp, a4, 1024<br> [0x800001f4]:sw gp, 68(sp)<br>    |
|  19|[0x80004058]<br>0x00000007|- rs1 : x12<br> - rd : x15<br> - imm_val == -2<br>                                                                                                                                 |[0x800001fc]:xori a5, a2, 4094<br> [0x80000200]:sw a5, 72(sp)<br>    |
|  20|[0x8000405c]<br>0xFFFFFFF8|- rs1 : x21<br> - rd : x9<br> - imm_val == -3<br>                                                                                                                                  |[0x80000208]:xori s1, s5, 4093<br> [0x8000020c]:sw s1, 76(sp)<br>    |
|  21|[0x80004060]<br>0x0000B507|- rs1 : x10<br> - rd : x19<br> - imm_val == -5<br>                                                                                                                                 |[0x80000218]:xori s3, a0, 4091<br> [0x8000021c]:sw s3, 80(sp)<br>    |
|  22|[0x80004064]<br>0xFFFFFFF6|- rs1 : x16<br> - rd : x26<br> - imm_val == -9<br>                                                                                                                                 |[0x80000224]:xori s10, a6, 4087<br> [0x80000228]:sw s10, 84(sp)<br>  |
|  23|[0x80004068]<br>0x99999988|- rs1 : x26<br> - rd : x30<br> - imm_val == -17<br>                                                                                                                                |[0x8000023c]:xori t5, s10, 4079<br> [0x80000240]:sw t5, 0(gp)<br>    |
|  24|[0x8000406c]<br>0x00000060|- rs1 : x1<br> - rd : x23<br> - imm_val == -33<br> - rs1_val == -65<br>                                                                                                            |[0x80000248]:xori s7, ra, 4063<br> [0x8000024c]:sw s7, 4(gp)<br>     |
|  25|[0x80004070]<br>0x00000000|- rs1 : x6<br> - rd : x0<br> - imm_val == -65<br>                                                                                                                                  |[0x80000254]:xori zero, t1, 4031<br> [0x80000258]:sw zero, 8(gp)<br> |
|  26|[0x80004074]<br>0xAAAAAA2A|- rs1 : x2<br> - rd : x7<br> - imm_val == -129<br> - rs1_val == 1431655765<br>                                                                                                     |[0x80000264]:xori t2, sp, 3967<br> [0x80000268]:sw t2, 12(gp)<br>    |
|  27|[0x80004078]<br>0xFFFFFEFF|- rs1 : x0<br> - rd : x14<br> - imm_val == -257<br>                                                                                                                                |[0x80000270]:xori a4, zero, 3839<br> [0x80000274]:sw a4, 16(gp)<br>  |
|  28|[0x8000407c]<br>0x3FFFFAAA|- rs1 : x8<br> - rd : x13<br> - imm_val == 1365<br>                                                                                                                                |[0x80000280]:xori a3, fp, 1365<br> [0x80000284]:sw a3, 20(gp)<br>    |
|  29|[0x80004080]<br>0x00000553|- rs1 : x25<br> - rd : x12<br> - imm_val == -1366<br>                                                                                                                              |[0x8000028c]:xori a2, s9, 2730<br> [0x80000290]:sw a2, 24(gp)<br>    |
|  30|[0x80004084]<br>0x00000008|- rs1 : x13<br> - rd : x11<br> - rs1_val == 8<br>                                                                                                                                  |[0x80000298]:xori a1, a3, 0<br> [0x8000029c]:sw a1, 28(gp)<br>       |
|  31|[0x80004088]<br>0x00000011|- rs1 : x23<br> - rd : x2<br> - rs1_val == 16<br>                                                                                                                                  |[0x800002a4]:xori sp, s7, 1<br> [0x800002a8]:sw sp, 32(gp)<br>       |
|  32|[0x8000408c]<br>0x00000575|- rs1 : x5<br> - rd : x28<br> - rs1_val == 32<br>                                                                                                                                  |[0x800002b0]:xori t3, t0, 1365<br> [0x800002b4]:sw t3, 36(gp)<br>    |
|  33|[0x80004090]<br>0x00000140|- rs1_val == 64<br>                                                                                                                                                                |[0x800002bc]:xori a1, a0, 256<br> [0x800002c0]:sw a1, 40(gp)<br>     |
|  34|[0x80004094]<br>0x00000085|- rs1_val == 128<br>                                                                                                                                                               |[0x800002c8]:xori a1, a0, 5<br> [0x800002cc]:sw a1, 44(gp)<br>       |
|  35|[0x80004098]<br>0xFFFFFEBF|- rs1_val == 256<br>                                                                                                                                                               |[0x800002d4]:xori a1, a0, 4031<br> [0x800002d8]:sw a1, 48(gp)<br>    |
|  36|[0x8000409c]<br>0x00000202|- rs1_val == 512<br>                                                                                                                                                               |[0x800002e0]:xori a1, a0, 2<br> [0x800002e4]:sw a1, 52(gp)<br>       |
|  37|[0x800040a0]<br>0xFFFFFEAB|- rs1_val == 1024<br>                                                                                                                                                              |[0x800002ec]:xori a1, a0, 2731<br> [0x800002f0]:sw a1, 56(gp)<br>    |
|  38|[0x800040a4]<br>0x00000804|- rs1_val == 2048<br>                                                                                                                                                              |[0x800002fc]:xori a1, a0, 4<br> [0x80000300]:sw a1, 60(gp)<br>       |
|  39|[0x800040a8]<br>0x00001008|- rs1_val == 4096<br>                                                                                                                                                              |[0x80000308]:xori a1, a0, 8<br> [0x8000030c]:sw a1, 64(gp)<br>       |
|  40|[0x800040ac]<br>0x00002554|- rs1_val == 8192<br>                                                                                                                                                              |[0x80000314]:xori a1, a0, 1364<br> [0x80000318]:sw a1, 68(gp)<br>    |
|  41|[0x800040b0]<br>0x00004004|- rs1_val == 16384<br>                                                                                                                                                             |[0x80000320]:xori a1, a0, 4<br> [0x80000324]:sw a1, 72(gp)<br>       |
|  42|[0x800040b4]<br>0x000087FF|- rs1_val == 32768<br>                                                                                                                                                             |[0x8000032c]:xori a1, a0, 2047<br> [0x80000330]:sw a1, 76(gp)<br>    |
|  43|[0x800040b8]<br>0x00010040|- rs1_val == 65536<br>                                                                                                                                                             |[0x80000338]:xori a1, a0, 64<br> [0x8000033c]:sw a1, 80(gp)<br>      |
|  44|[0x800040bc]<br>0x0002002C|- rs1_val == 131072<br>                                                                                                                                                            |[0x80000344]:xori a1, a0, 44<br> [0x80000348]:sw a1, 84(gp)<br>      |
|  45|[0x800040c0]<br>0xFFFBFAAA|- rs1_val == 262144<br>                                                                                                                                                            |[0x80000350]:xori a1, a0, 2730<br> [0x80000354]:sw a1, 88(gp)<br>    |
|  46|[0x800040c4]<br>0x00080333|- rs1_val == 524288<br>                                                                                                                                                            |[0x8000035c]:xori a1, a0, 819<br> [0x80000360]:sw a1, 92(gp)<br>     |
|  47|[0x800040c8]<br>0xFFEFFFFA|- rs1_val == 1048576<br>                                                                                                                                                           |[0x80000368]:xori a1, a0, 4090<br> [0x8000036c]:sw a1, 96(gp)<br>    |
|  48|[0x800040cc]<br>0xFFDFFFFD|- rs1_val == 2097152<br>                                                                                                                                                           |[0x80000374]:xori a1, a0, 4093<br> [0x80000378]:sw a1, 100(gp)<br>   |
|  49|[0x800040d0]<br>0x00400555|- rs1_val == 4194304<br>                                                                                                                                                           |[0x80000380]:xori a1, a0, 1365<br> [0x80000384]:sw a1, 104(gp)<br>   |
|  50|[0x800040d4]<br>0xFF7FFFF7|- rs1_val == 8388608<br>                                                                                                                                                           |[0x8000038c]:xori a1, a0, 4087<br> [0x80000390]:sw a1, 108(gp)<br>   |
|  51|[0x800040d8]<br>0x01000005|- rs1_val == 16777216<br>                                                                                                                                                          |[0x80000398]:xori a1, a0, 5<br> [0x8000039c]:sw a1, 112(gp)<br>      |
|  52|[0x800040dc]<br>0xFDFFFDFF|- rs1_val == 33554432<br>                                                                                                                                                          |[0x800003a4]:xori a1, a0, 3583<br> [0x800003a8]:sw a1, 116(gp)<br>   |
|  53|[0x800040e0]<br>0x04000000|- rs1_val == 67108864<br>                                                                                                                                                          |[0x800003b0]:xori a1, a0, 0<br> [0x800003b4]:sw a1, 120(gp)<br>      |
|  54|[0x800040e4]<br>0x08000334|- rs1_val == 134217728<br>                                                                                                                                                         |[0x800003bc]:xori a1, a0, 820<br> [0x800003c0]:sw a1, 124(gp)<br>    |
|  55|[0x800040e8]<br>0xEFFFFFBF|- rs1_val == 268435456<br>                                                                                                                                                         |[0x800003c8]:xori a1, a0, 4031<br> [0x800003cc]:sw a1, 128(gp)<br>   |
|  56|[0x800040ec]<br>0x20000555|- rs1_val == 536870912<br>                                                                                                                                                         |[0x800003d4]:xori a1, a0, 1365<br> [0x800003d8]:sw a1, 132(gp)<br>   |
|  57|[0x800040f0]<br>0xBFFFFAAA|- rs1_val == 1073741824<br>                                                                                                                                                        |[0x800003e0]:xori a1, a0, 2730<br> [0x800003e4]:sw a1, 136(gp)<br>   |
|  58|[0x800040f4]<br>0xFFFFFFFA|- rs1_val == -2<br>                                                                                                                                                                |[0x800003ec]:xori a1, a0, 4<br> [0x800003f0]:sw a1, 140(gp)<br>      |
|  59|[0x800040f8]<br>0x00000000|- rs1_val == -3<br>                                                                                                                                                                |[0x800003f8]:xori a1, a0, 4093<br> [0x800003fc]:sw a1, 144(gp)<br>   |
|  60|[0x800040fc]<br>0x000003FB|- rs1_val == -5<br>                                                                                                                                                                |[0x80000404]:xori a1, a0, 3072<br> [0x80000408]:sw a1, 148(gp)<br>   |
|  61|[0x80004100]<br>0x0000055C|- rs1_val == -9<br>                                                                                                                                                                |[0x80000410]:xori a1, a0, 2731<br> [0x80000414]:sw a1, 152(gp)<br>   |
|  62|[0x80004104]<br>0xFFFFFF6F|- rs1_val == -17<br>                                                                                                                                                               |[0x8000041c]:xori a1, a0, 128<br> [0x80000420]:sw a1, 156(gp)<br>    |
|  63|[0x80004108]<br>0xFFFFF919|- rs1_val == -129<br>                                                                                                                                                              |[0x80000428]:xori a1, a0, 1638<br> [0x8000042c]:sw a1, 160(gp)<br>   |
|  64|[0x8000410c]<br>0xFFFFFEF9|- rs1_val == -257<br>                                                                                                                                                              |[0x80000434]:xori a1, a0, 6<br> [0x80000438]:sw a1, 164(gp)<br>      |
|  65|[0x80004110]<br>0xFFFFFBF9|- rs1_val == -1025<br>                                                                                                                                                             |[0x80000440]:xori a1, a0, 6<br> [0x80000444]:sw a1, 168(gp)<br>      |
|  66|[0x80004114]<br>0xFFFFF7FD|- rs1_val == -2049<br>                                                                                                                                                             |[0x80000450]:xori a1, a0, 2<br> [0x80000454]:sw a1, 172(gp)<br>      |
|  67|[0x80004118]<br>0xFFFFEFFF|- rs1_val == -4097<br>                                                                                                                                                             |[0x80000460]:xori a1, a0, 0<br> [0x80000464]:sw a1, 176(gp)<br>      |
|  68|[0x8000411c]<br>0xFFFFD800|- rs1_val == -8193<br>                                                                                                                                                             |[0x80000470]:xori a1, a0, 2047<br> [0x80000474]:sw a1, 180(gp)<br>   |
|  69|[0x80004120]<br>0x0000402B|- rs1_val == -16385<br>                                                                                                                                                            |[0x80000480]:xori a1, a0, 4052<br> [0x80000484]:sw a1, 184(gp)<br>   |
|  70|[0x80004124]<br>0xFFFF799A|- rs1_val == -32769<br>                                                                                                                                                            |[0x80000490]:xori a1, a0, 1637<br> [0x80000494]:sw a1, 188(gp)<br>   |
|  71|[0x80004128]<br>0xFFFEFCCD|- rs1_val == -65537<br>                                                                                                                                                            |[0x800004a0]:xori a1, a0, 818<br> [0x800004a4]:sw a1, 192(gp)<br>    |
|  72|[0x8000412c]<br>0x00020100|- rs1_val == -131073<br>                                                                                                                                                           |[0x800004b0]:xori a1, a0, 3839<br> [0x800004b4]:sw a1, 196(gp)<br>   |
|  73|[0x80004130]<br>0x000407FF|- rs1_val == -262145<br>                                                                                                                                                           |[0x800004c0]:xori a1, a0, 2048<br> [0x800004c4]:sw a1, 200(gp)<br>   |
|  74|[0x80004134]<br>0xFFDFFFFF|- rs1_val == -2097153<br>                                                                                                                                                          |[0x800004d0]:xori a1, a0, 0<br> [0x800004d4]:sw a1, 204(gp)<br>      |
|  75|[0x80004138]<br>0xFFBFF99A|- rs1_val == -4194305<br>                                                                                                                                                          |[0x800004e0]:xori a1, a0, 1637<br> [0x800004e4]:sw a1, 208(gp)<br>   |
|  76|[0x8000413c]<br>0xFF7FF998|- rs1_val == -8388609<br>                                                                                                                                                          |[0x800004f0]:xori a1, a0, 1639<br> [0x800004f4]:sw a1, 212(gp)<br>   |
|  77|[0x80004140]<br>0x01000555|- rs1_val == -16777217<br>                                                                                                                                                         |[0x80000500]:xori a1, a0, 2730<br> [0x80000504]:sw a1, 216(gp)<br>   |
|  78|[0x80004144]<br>0x02000007|- rs1_val == -33554433<br>                                                                                                                                                         |[0x80000510]:xori a1, a0, 4088<br> [0x80000514]:sw a1, 220(gp)<br>   |
|  79|[0x80004148]<br>0x04000001|- rs1_val == -67108865<br>                                                                                                                                                         |[0x80000520]:xori a1, a0, 4094<br> [0x80000524]:sw a1, 224(gp)<br>   |
|  80|[0x8000414c]<br>0x080003FF|- rs1_val == -134217729<br>                                                                                                                                                        |[0x80000530]:xori a1, a0, 3072<br> [0x80000534]:sw a1, 228(gp)<br>   |
|  81|[0x80004150]<br>0x1000002B|- rs1_val == -268435457<br>                                                                                                                                                        |[0x80000540]:xori a1, a0, 4052<br> [0x80000544]:sw a1, 232(gp)<br>   |
|  82|[0x80004154]<br>0x20000100|- rs1_val == -536870913<br>                                                                                                                                                        |[0x80000550]:xori a1, a0, 3839<br> [0x80000554]:sw a1, 236(gp)<br>   |
|  83|[0x80004158]<br>0xAAAAA8AA|- rs1_val == -1431655766<br>                                                                                                                                                       |[0x80000560]:xori a1, a0, 512<br> [0x80000564]:sw a1, 240(gp)<br>    |
|  84|[0x8000415c]<br>0x00000000|- rs1_val==3 and imm_val==3<br>                                                                                                                                                    |[0x8000056c]:xori a1, a0, 3<br> [0x80000570]:sw a1, 244(gp)<br>      |
|  85|[0x80004160]<br>0x00000556|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                 |[0x80000578]:xori a1, a0, 1365<br> [0x8000057c]:sw a1, 248(gp)<br>   |
|  86|[0x80004164]<br>0xFFFFFAA9|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                |[0x80000584]:xori a1, a0, 2730<br> [0x80000588]:sw a1, 252(gp)<br>   |
|  87|[0x80004168]<br>0x00000006|- rs1_val==3 and imm_val==5<br>                                                                                                                                                    |[0x80000590]:xori a1, a0, 5<br> [0x80000594]:sw a1, 256(gp)<br>      |
|  88|[0x8000416c]<br>0x00000330|- rs1_val==3 and imm_val==819<br>                                                                                                                                                  |[0x8000059c]:xori a1, a0, 819<br> [0x800005a0]:sw a1, 260(gp)<br>    |
|  89|[0x80004170]<br>0x00000665|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                 |[0x800005a8]:xori a1, a0, 1638<br> [0x800005ac]:sw a1, 264(gp)<br>   |
|  90|[0x80004174]<br>0xFFFFFFD0|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                  |[0x800005b4]:xori a1, a0, 4051<br> [0x800005b8]:sw a1, 268(gp)<br>   |
|  91|[0x80004178]<br>0x0000002E|- rs1_val==3 and imm_val==45<br>                                                                                                                                                   |[0x800005c0]:xori a1, a0, 45<br> [0x800005c4]:sw a1, 272(gp)<br>     |
|  92|[0x8000417c]<br>0x00000001|- rs1_val==3 and imm_val==2<br>                                                                                                                                                    |[0x800005cc]:xori a1, a0, 2<br> [0x800005d0]:sw a1, 276(gp)<br>      |
|  93|[0x80004180]<br>0x00000557|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                 |[0x800005d8]:xori a1, a0, 1364<br> [0x800005dc]:sw a1, 280(gp)<br>   |
|  94|[0x80004184]<br>0x00000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                                    |[0x800005e4]:xori a1, a0, 0<br> [0x800005e8]:sw a1, 284(gp)<br>      |
|  95|[0x80004188]<br>0x00000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                                    |[0x800005f0]:xori a1, a0, 4<br> [0x800005f4]:sw a1, 288(gp)<br>      |
|  96|[0x8000418c]<br>0x00000331|- rs1_val==3 and imm_val==818<br>                                                                                                                                                  |[0x800005fc]:xori a1, a0, 818<br> [0x80000600]:sw a1, 292(gp)<br>    |
|  97|[0x80004190]<br>0x00000666|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                 |[0x80000608]:xori a1, a0, 1637<br> [0x8000060c]:sw a1, 296(gp)<br>   |
|  98|[0x80004194]<br>0x0000002F|- rs1_val==3 and imm_val==44<br>                                                                                                                                                   |[0x80000614]:xori a1, a0, 44<br> [0x80000618]:sw a1, 300(gp)<br>     |
|  99|[0x80004198]<br>0x00000555|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                 |[0x80000620]:xori a1, a0, 1366<br> [0x80000624]:sw a1, 304(gp)<br>   |
| 100|[0x8000419c]<br>0xFFFFFAA8|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                |[0x8000062c]:xori a1, a0, 2731<br> [0x80000630]:sw a1, 308(gp)<br>   |
| 101|[0x800041a0]<br>0x00000005|- rs1_val==3 and imm_val==6<br>                                                                                                                                                    |[0x80000638]:xori a1, a0, 6<br> [0x8000063c]:sw a1, 312(gp)<br>      |
| 102|[0x800041a4]<br>0x00000337|- rs1_val==3 and imm_val==820<br>                                                                                                                                                  |[0x80000644]:xori a1, a0, 820<br> [0x80000648]:sw a1, 316(gp)<br>    |
| 103|[0x800041a8]<br>0x00000664|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                 |[0x80000650]:xori a1, a0, 1639<br> [0x80000654]:sw a1, 320(gp)<br>   |
| 104|[0x800041ac]<br>0xFFFFFFD7|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                  |[0x8000065c]:xori a1, a0, 4052<br> [0x80000660]:sw a1, 324(gp)<br>   |
| 105|[0x800041b0]<br>0x0000002D|- rs1_val==3 and imm_val==46<br>                                                                                                                                                   |[0x80000668]:xori a1, a0, 46<br> [0x8000066c]:sw a1, 328(gp)<br>     |
| 106|[0x800041b4]<br>0x55555556|- rs1_val==1431655765 and imm_val==3<br>                                                                                                                                           |[0x80000678]:xori a1, a0, 3<br> [0x8000067c]:sw a1, 332(gp)<br>      |
| 107|[0x800041b8]<br>0x55555000|- rs1_val==1431655765 and imm_val==1365<br>                                                                                                                                        |[0x80000688]:xori a1, a0, 1365<br> [0x8000068c]:sw a1, 336(gp)<br>   |
| 108|[0x800041bc]<br>0xAAAAAFFF|- rs1_val==1431655765 and imm_val==-1366<br>                                                                                                                                       |[0x80000698]:xori a1, a0, 2730<br> [0x8000069c]:sw a1, 340(gp)<br>   |
| 109|[0x800041c0]<br>0x55555550|- rs1_val==1431655765 and imm_val==5<br>                                                                                                                                           |[0x800006a8]:xori a1, a0, 5<br> [0x800006ac]:sw a1, 344(gp)<br>      |
| 110|[0x800041c4]<br>0x55555666|- rs1_val==1431655765 and imm_val==819<br>                                                                                                                                         |[0x800006b8]:xori a1, a0, 819<br> [0x800006bc]:sw a1, 348(gp)<br>    |
| 111|[0x800041c8]<br>0x55555333|- rs1_val==1431655765 and imm_val==1638<br>                                                                                                                                        |[0x800006c8]:xori a1, a0, 1638<br> [0x800006cc]:sw a1, 352(gp)<br>   |
| 112|[0x800041cc]<br>0xAAAAAA86|- rs1_val==1431655765 and imm_val==-45<br>                                                                                                                                         |[0x800006d8]:xori a1, a0, 4051<br> [0x800006dc]:sw a1, 356(gp)<br>   |
| 113|[0x800041d0]<br>0x55555578|- rs1_val==1431655765 and imm_val==45<br>                                                                                                                                          |[0x800006e8]:xori a1, a0, 45<br> [0x800006ec]:sw a1, 360(gp)<br>     |
| 114|[0x800041d4]<br>0x55555557|- rs1_val==1431655765 and imm_val==2<br>                                                                                                                                           |[0x800006f8]:xori a1, a0, 2<br> [0x800006fc]:sw a1, 364(gp)<br>      |
| 115|[0x800041d8]<br>0x55555001|- rs1_val==1431655765 and imm_val==1364<br>                                                                                                                                        |[0x80000708]:xori a1, a0, 1364<br> [0x8000070c]:sw a1, 368(gp)<br>   |
| 116|[0x800041dc]<br>0x55555555|- rs1_val==1431655765 and imm_val==0<br>                                                                                                                                           |[0x80000718]:xori a1, a0, 0<br> [0x8000071c]:sw a1, 372(gp)<br>      |
| 117|[0x800041e0]<br>0x55555551|- rs1_val==1431655765 and imm_val==4<br>                                                                                                                                           |[0x80000728]:xori a1, a0, 4<br> [0x8000072c]:sw a1, 376(gp)<br>      |
| 118|[0x800041e4]<br>0x55555667|- rs1_val==1431655765 and imm_val==818<br>                                                                                                                                         |[0x80000738]:xori a1, a0, 818<br> [0x8000073c]:sw a1, 380(gp)<br>    |
| 119|[0x800041e8]<br>0x55555330|- rs1_val==1431655765 and imm_val==1637<br>                                                                                                                                        |[0x80000748]:xori a1, a0, 1637<br> [0x8000074c]:sw a1, 384(gp)<br>   |
| 120|[0x800041ec]<br>0x55555579|- rs1_val==1431655765 and imm_val==44<br>                                                                                                                                          |[0x80000758]:xori a1, a0, 44<br> [0x8000075c]:sw a1, 388(gp)<br>     |
| 121|[0x800041f0]<br>0x55555003|- rs1_val==1431655765 and imm_val==1366<br>                                                                                                                                        |[0x80000768]:xori a1, a0, 1366<br> [0x8000076c]:sw a1, 392(gp)<br>   |
| 122|[0x800041f4]<br>0xAAAAAFFE|- rs1_val==1431655765 and imm_val==-1365<br>                                                                                                                                       |[0x80000778]:xori a1, a0, 2731<br> [0x8000077c]:sw a1, 396(gp)<br>   |
| 123|[0x800041f8]<br>0x55555553|- rs1_val==1431655765 and imm_val==6<br>                                                                                                                                           |[0x80000788]:xori a1, a0, 6<br> [0x8000078c]:sw a1, 400(gp)<br>      |
| 124|[0x800041fc]<br>0x55555661|- rs1_val==1431655765 and imm_val==820<br>                                                                                                                                         |[0x80000798]:xori a1, a0, 820<br> [0x8000079c]:sw a1, 404(gp)<br>    |
| 125|[0x80004200]<br>0x55555332|- rs1_val==1431655765 and imm_val==1639<br>                                                                                                                                        |[0x800007a8]:xori a1, a0, 1639<br> [0x800007ac]:sw a1, 408(gp)<br>   |
| 126|[0x80004204]<br>0xAAAAAA81|- rs1_val==1431655765 and imm_val==-44<br>                                                                                                                                         |[0x800007b8]:xori a1, a0, 4052<br> [0x800007bc]:sw a1, 412(gp)<br>   |
| 127|[0x80004208]<br>0x5555557B|- rs1_val==1431655765 and imm_val==46<br>                                                                                                                                          |[0x800007c8]:xori a1, a0, 46<br> [0x800007cc]:sw a1, 416(gp)<br>     |
| 128|[0x8000420c]<br>0xAAAAAAA9|- rs1_val==-1431655766 and imm_val==3<br>                                                                                                                                          |[0x800007d8]:xori a1, a0, 3<br> [0x800007dc]:sw a1, 420(gp)<br>      |
| 129|[0x80004210]<br>0xAAAAAFFF|- rs1_val==-1431655766 and imm_val==1365<br>                                                                                                                                       |[0x800007e8]:xori a1, a0, 1365<br> [0x800007ec]:sw a1, 424(gp)<br>   |
| 130|[0x80004214]<br>0x55555000|- rs1_val==-1431655766 and imm_val==-1366<br>                                                                                                                                      |[0x800007f8]:xori a1, a0, 2730<br> [0x800007fc]:sw a1, 428(gp)<br>   |
| 131|[0x80004218]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==5<br>                                                                                                                                          |[0x80000808]:xori a1, a0, 5<br> [0x8000080c]:sw a1, 432(gp)<br>      |
| 132|[0x8000421c]<br>0xAAAAA999|- rs1_val==-1431655766 and imm_val==819<br>                                                                                                                                        |[0x80000818]:xori a1, a0, 819<br> [0x8000081c]:sw a1, 436(gp)<br>    |
| 133|[0x80004220]<br>0xAAAAACCC|- rs1_val==-1431655766 and imm_val==1638<br>                                                                                                                                       |[0x80000828]:xori a1, a0, 1638<br> [0x8000082c]:sw a1, 440(gp)<br>   |
| 134|[0x80004224]<br>0x55555579|- rs1_val==-1431655766 and imm_val==-45<br>                                                                                                                                        |[0x80000838]:xori a1, a0, 4051<br> [0x8000083c]:sw a1, 444(gp)<br>   |
| 135|[0x80004228]<br>0xAAAAAA87|- rs1_val==-1431655766 and imm_val==45<br>                                                                                                                                         |[0x80000848]:xori a1, a0, 45<br> [0x8000084c]:sw a1, 448(gp)<br>     |
| 136|[0x8000422c]<br>0xAAAAAAA8|- rs1_val==-1431655766 and imm_val==2<br>                                                                                                                                          |[0x80000858]:xori a1, a0, 2<br> [0x8000085c]:sw a1, 452(gp)<br>      |
| 137|[0x80004230]<br>0xAAAAAFFE|- rs1_val==-1431655766 and imm_val==1364<br>                                                                                                                                       |[0x80000868]:xori a1, a0, 1364<br> [0x8000086c]:sw a1, 456(gp)<br>   |
| 138|[0x80004234]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==0<br>                                                                                                                                          |[0x80000878]:xori a1, a0, 0<br> [0x8000087c]:sw a1, 460(gp)<br>      |
| 139|[0x80004238]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==4<br>                                                                                                                                          |[0x80000888]:xori a1, a0, 4<br> [0x8000088c]:sw a1, 464(gp)<br>      |
| 140|[0x8000423c]<br>0xAAAAA998|- rs1_val==-1431655766 and imm_val==818<br>                                                                                                                                        |[0x80000898]:xori a1, a0, 818<br> [0x8000089c]:sw a1, 468(gp)<br>    |
| 141|[0x80004240]<br>0xAAAAACCF|- rs1_val==-1431655766 and imm_val==1637<br>                                                                                                                                       |[0x800008a8]:xori a1, a0, 1637<br> [0x800008ac]:sw a1, 472(gp)<br>   |
| 142|[0x80004244]<br>0xAAAAAA86|- rs1_val==-1431655766 and imm_val==44<br>                                                                                                                                         |[0x800008b8]:xori a1, a0, 44<br> [0x800008bc]:sw a1, 476(gp)<br>     |
| 143|[0x80004248]<br>0xAAAAAFFC|- rs1_val==-1431655766 and imm_val==1366<br>                                                                                                                                       |[0x800008c8]:xori a1, a0, 1366<br> [0x800008cc]:sw a1, 480(gp)<br>   |
| 144|[0x8000424c]<br>0x55555001|- rs1_val==-1431655766 and imm_val==-1365<br>                                                                                                                                      |[0x800008d8]:xori a1, a0, 2731<br> [0x800008dc]:sw a1, 484(gp)<br>   |
| 145|[0x80004250]<br>0xAAAAAAAC|- rs1_val==-1431655766 and imm_val==6<br>                                                                                                                                          |[0x800008e8]:xori a1, a0, 6<br> [0x800008ec]:sw a1, 488(gp)<br>      |
| 146|[0x80004254]<br>0xAAAAA99E|- rs1_val==-1431655766 and imm_val==820<br>                                                                                                                                        |[0x800008f8]:xori a1, a0, 820<br> [0x800008fc]:sw a1, 492(gp)<br>    |
| 147|[0x80004258]<br>0xAAAAACCD|- rs1_val==-1431655766 and imm_val==1639<br>                                                                                                                                       |[0x80000908]:xori a1, a0, 1639<br> [0x8000090c]:sw a1, 496(gp)<br>   |
| 148|[0x8000425c]<br>0x5555557E|- rs1_val==-1431655766 and imm_val==-44<br>                                                                                                                                        |[0x80000918]:xori a1, a0, 4052<br> [0x8000091c]:sw a1, 500(gp)<br>   |
| 149|[0x80004260]<br>0xAAAAAA84|- rs1_val==-1431655766 and imm_val==46<br>                                                                                                                                         |[0x80000928]:xori a1, a0, 46<br> [0x8000092c]:sw a1, 504(gp)<br>     |
| 150|[0x80004264]<br>0x00000006|- rs1_val==5 and imm_val==3<br>                                                                                                                                                    |[0x80000934]:xori a1, a0, 3<br> [0x80000938]:sw a1, 508(gp)<br>      |
| 151|[0x80004268]<br>0x00000550|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                 |[0x80000940]:xori a1, a0, 1365<br> [0x80000944]:sw a1, 512(gp)<br>   |
| 152|[0x8000426c]<br>0xFFFFFAAF|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                |[0x8000094c]:xori a1, a0, 2730<br> [0x80000950]:sw a1, 516(gp)<br>   |
| 153|[0x80004270]<br>0x00000000|- rs1_val==5 and imm_val==5<br>                                                                                                                                                    |[0x80000958]:xori a1, a0, 5<br> [0x8000095c]:sw a1, 520(gp)<br>      |
| 154|[0x80004274]<br>0x00000336|- rs1_val==5 and imm_val==819<br>                                                                                                                                                  |[0x80000964]:xori a1, a0, 819<br> [0x80000968]:sw a1, 524(gp)<br>    |
| 155|[0x80004278]<br>0x00000663|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                 |[0x80000970]:xori a1, a0, 1638<br> [0x80000974]:sw a1, 528(gp)<br>   |
| 156|[0x8000427c]<br>0xFFFFFFD6|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                  |[0x8000097c]:xori a1, a0, 4051<br> [0x80000980]:sw a1, 532(gp)<br>   |
| 157|[0x80004280]<br>0x00000028|- rs1_val==5 and imm_val==45<br>                                                                                                                                                   |[0x80000988]:xori a1, a0, 45<br> [0x8000098c]:sw a1, 536(gp)<br>     |
| 158|[0x80004284]<br>0x00000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                                    |[0x80000994]:xori a1, a0, 2<br> [0x80000998]:sw a1, 540(gp)<br>      |
| 159|[0x80004288]<br>0x00000551|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                 |[0x800009a0]:xori a1, a0, 1364<br> [0x800009a4]:sw a1, 544(gp)<br>   |
| 160|[0x8000428c]<br>0x00000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                                    |[0x800009ac]:xori a1, a0, 0<br> [0x800009b0]:sw a1, 548(gp)<br>      |
| 161|[0x80004290]<br>0x00000001|- rs1_val==5 and imm_val==4<br>                                                                                                                                                    |[0x800009b8]:xori a1, a0, 4<br> [0x800009bc]:sw a1, 552(gp)<br>      |
| 162|[0x80004294]<br>0x00000337|- rs1_val==5 and imm_val==818<br>                                                                                                                                                  |[0x800009c4]:xori a1, a0, 818<br> [0x800009c8]:sw a1, 556(gp)<br>    |
| 163|[0x80004298]<br>0x00000660|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                 |[0x800009d0]:xori a1, a0, 1637<br> [0x800009d4]:sw a1, 560(gp)<br>   |
| 164|[0x8000429c]<br>0x00000029|- rs1_val==5 and imm_val==44<br>                                                                                                                                                   |[0x800009dc]:xori a1, a0, 44<br> [0x800009e0]:sw a1, 564(gp)<br>     |
| 165|[0x800042a0]<br>0x00000553|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                 |[0x800009e8]:xori a1, a0, 1366<br> [0x800009ec]:sw a1, 568(gp)<br>   |
| 166|[0x800042a4]<br>0xFFFFFAAE|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                |[0x800009f4]:xori a1, a0, 2731<br> [0x800009f8]:sw a1, 572(gp)<br>   |
| 167|[0x800042a8]<br>0x00000003|- rs1_val==5 and imm_val==6<br>                                                                                                                                                    |[0x80000a00]:xori a1, a0, 6<br> [0x80000a04]:sw a1, 576(gp)<br>      |
| 168|[0x800042ac]<br>0x00000331|- rs1_val==5 and imm_val==820<br>                                                                                                                                                  |[0x80000a0c]:xori a1, a0, 820<br> [0x80000a10]:sw a1, 580(gp)<br>    |
| 169|[0x800042b0]<br>0x00000662|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                 |[0x80000a18]:xori a1, a0, 1639<br> [0x80000a1c]:sw a1, 584(gp)<br>   |
| 170|[0x800042b4]<br>0xFFFFFFD1|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                  |[0x80000a24]:xori a1, a0, 4052<br> [0x80000a28]:sw a1, 588(gp)<br>   |
| 171|[0x800042b8]<br>0x0000002B|- rs1_val==5 and imm_val==46<br>                                                                                                                                                   |[0x80000a30]:xori a1, a0, 46<br> [0x80000a34]:sw a1, 592(gp)<br>     |
| 172|[0x800042bc]<br>0x33333330|- rs1_val==858993459 and imm_val==3<br>                                                                                                                                            |[0x80000a40]:xori a1, a0, 3<br> [0x80000a44]:sw a1, 596(gp)<br>      |
| 173|[0x800042c0]<br>0x33333666|- rs1_val==858993459 and imm_val==1365<br>                                                                                                                                         |[0x80000a50]:xori a1, a0, 1365<br> [0x80000a54]:sw a1, 600(gp)<br>   |
| 174|[0x800042c4]<br>0xCCCCC999|- rs1_val==858993459 and imm_val==-1366<br>                                                                                                                                        |[0x80000a60]:xori a1, a0, 2730<br> [0x80000a64]:sw a1, 604(gp)<br>   |
| 175|[0x800042c8]<br>0x33333336|- rs1_val==858993459 and imm_val==5<br>                                                                                                                                            |[0x80000a70]:xori a1, a0, 5<br> [0x80000a74]:sw a1, 608(gp)<br>      |
| 176|[0x800042cc]<br>0x33333000|- rs1_val==858993459 and imm_val==819<br>                                                                                                                                          |[0x80000a80]:xori a1, a0, 819<br> [0x80000a84]:sw a1, 612(gp)<br>    |
| 177|[0x800042d0]<br>0x33333555|- rs1_val==858993459 and imm_val==1638<br>                                                                                                                                         |[0x80000a90]:xori a1, a0, 1638<br> [0x80000a94]:sw a1, 616(gp)<br>   |
| 178|[0x800042d4]<br>0xCCCCCCE0|- rs1_val==858993459 and imm_val==-45<br>                                                                                                                                          |[0x80000aa0]:xori a1, a0, 4051<br> [0x80000aa4]:sw a1, 620(gp)<br>   |
| 179|[0x800042d8]<br>0x3333331E|- rs1_val==858993459 and imm_val==45<br>                                                                                                                                           |[0x80000ab0]:xori a1, a0, 45<br> [0x80000ab4]:sw a1, 624(gp)<br>     |
| 180|[0x800042dc]<br>0x33333331|- rs1_val==858993459 and imm_val==2<br>                                                                                                                                            |[0x80000ac0]:xori a1, a0, 2<br> [0x80000ac4]:sw a1, 628(gp)<br>      |
| 181|[0x800042e0]<br>0x33333667|- rs1_val==858993459 and imm_val==1364<br>                                                                                                                                         |[0x80000ad0]:xori a1, a0, 1364<br> [0x80000ad4]:sw a1, 632(gp)<br>   |
| 182|[0x800042e4]<br>0x33333333|- rs1_val==858993459 and imm_val==0<br>                                                                                                                                            |[0x80000ae0]:xori a1, a0, 0<br> [0x80000ae4]:sw a1, 636(gp)<br>      |
| 183|[0x800042e8]<br>0x33333337|- rs1_val==858993459 and imm_val==4<br>                                                                                                                                            |[0x80000af0]:xori a1, a0, 4<br> [0x80000af4]:sw a1, 640(gp)<br>      |
| 184|[0x800042ec]<br>0x33333001|- rs1_val==858993459 and imm_val==818<br>                                                                                                                                          |[0x80000b00]:xori a1, a0, 818<br> [0x80000b04]:sw a1, 644(gp)<br>    |
| 185|[0x800042f0]<br>0x33333556|- rs1_val==858993459 and imm_val==1637<br>                                                                                                                                         |[0x80000b10]:xori a1, a0, 1637<br> [0x80000b14]:sw a1, 648(gp)<br>   |
| 186|[0x800042f4]<br>0x3333331F|- rs1_val==858993459 and imm_val==44<br>                                                                                                                                           |[0x80000b20]:xori a1, a0, 44<br> [0x80000b24]:sw a1, 652(gp)<br>     |
| 187|[0x800042f8]<br>0x33333665|- rs1_val==858993459 and imm_val==1366<br>                                                                                                                                         |[0x80000b30]:xori a1, a0, 1366<br> [0x80000b34]:sw a1, 656(gp)<br>   |
| 188|[0x800042fc]<br>0xCCCCC998|- rs1_val==858993459 and imm_val==-1365<br>                                                                                                                                        |[0x80000b40]:xori a1, a0, 2731<br> [0x80000b44]:sw a1, 660(gp)<br>   |
| 189|[0x80004300]<br>0x33333335|- rs1_val==858993459 and imm_val==6<br>                                                                                                                                            |[0x80000b50]:xori a1, a0, 6<br> [0x80000b54]:sw a1, 664(gp)<br>      |
| 190|[0x80004304]<br>0x33333007|- rs1_val==858993459 and imm_val==820<br>                                                                                                                                          |[0x80000b60]:xori a1, a0, 820<br> [0x80000b64]:sw a1, 668(gp)<br>    |
| 191|[0x80004308]<br>0x33333554|- rs1_val==858993459 and imm_val==1639<br>                                                                                                                                         |[0x80000b70]:xori a1, a0, 1639<br> [0x80000b74]:sw a1, 672(gp)<br>   |
| 192|[0x8000430c]<br>0xCCCCCCE7|- rs1_val==858993459 and imm_val==-44<br>                                                                                                                                          |[0x80000b80]:xori a1, a0, 4052<br> [0x80000b84]:sw a1, 676(gp)<br>   |
| 193|[0x80004310]<br>0x3333331D|- rs1_val==858993459 and imm_val==46<br>                                                                                                                                           |[0x80000b90]:xori a1, a0, 46<br> [0x80000b94]:sw a1, 680(gp)<br>     |
| 194|[0x80004314]<br>0x66666665|- rs1_val==1717986918 and imm_val==3<br>                                                                                                                                           |[0x80000ba0]:xori a1, a0, 3<br> [0x80000ba4]:sw a1, 684(gp)<br>      |
| 195|[0x80004318]<br>0x66666333|- rs1_val==1717986918 and imm_val==1365<br>                                                                                                                                        |[0x80000bb0]:xori a1, a0, 1365<br> [0x80000bb4]:sw a1, 688(gp)<br>   |
| 196|[0x8000431c]<br>0x99999CCC|- rs1_val==1717986918 and imm_val==-1366<br>                                                                                                                                       |[0x80000bc0]:xori a1, a0, 2730<br> [0x80000bc4]:sw a1, 692(gp)<br>   |
| 197|[0x80004320]<br>0x66666663|- rs1_val==1717986918 and imm_val==5<br>                                                                                                                                           |[0x80000bd0]:xori a1, a0, 5<br> [0x80000bd4]:sw a1, 696(gp)<br>      |
| 198|[0x80004324]<br>0x66666555|- rs1_val==1717986918 and imm_val==819<br>                                                                                                                                         |[0x80000be0]:xori a1, a0, 819<br> [0x80000be4]:sw a1, 700(gp)<br>    |
| 199|[0x80004328]<br>0x66666000|- rs1_val==1717986918 and imm_val==1638<br>                                                                                                                                        |[0x80000bf0]:xori a1, a0, 1638<br> [0x80000bf4]:sw a1, 704(gp)<br>   |
| 200|[0x8000432c]<br>0x999999B5|- rs1_val==1717986918 and imm_val==-45<br>                                                                                                                                         |[0x80000c00]:xori a1, a0, 4051<br> [0x80000c04]:sw a1, 708(gp)<br>   |
| 201|[0x80004330]<br>0x6666664B|- rs1_val==1717986918 and imm_val==45<br>                                                                                                                                          |[0x80000c10]:xori a1, a0, 45<br> [0x80000c14]:sw a1, 712(gp)<br>     |
| 202|[0x80004334]<br>0x66666664|- rs1_val==1717986918 and imm_val==2<br>                                                                                                                                           |[0x80000c20]:xori a1, a0, 2<br> [0x80000c24]:sw a1, 716(gp)<br>      |
| 203|[0x80004338]<br>0x66666332|- rs1_val==1717986918 and imm_val==1364<br>                                                                                                                                        |[0x80000c30]:xori a1, a0, 1364<br> [0x80000c34]:sw a1, 720(gp)<br>   |
| 204|[0x8000433c]<br>0x66666666|- rs1_val==1717986918 and imm_val==0<br>                                                                                                                                           |[0x80000c40]:xori a1, a0, 0<br> [0x80000c44]:sw a1, 724(gp)<br>      |
| 205|[0x80004340]<br>0x66666662|- rs1_val==1717986918 and imm_val==4<br>                                                                                                                                           |[0x80000c50]:xori a1, a0, 4<br> [0x80000c54]:sw a1, 728(gp)<br>      |
| 206|[0x80004344]<br>0x66666554|- rs1_val==1717986918 and imm_val==818<br>                                                                                                                                         |[0x80000c60]:xori a1, a0, 818<br> [0x80000c64]:sw a1, 732(gp)<br>    |
| 207|[0x80004348]<br>0x66666003|- rs1_val==1717986918 and imm_val==1637<br>                                                                                                                                        |[0x80000c70]:xori a1, a0, 1637<br> [0x80000c74]:sw a1, 736(gp)<br>   |
| 208|[0x8000434c]<br>0x6666664A|- rs1_val==1717986918 and imm_val==44<br>                                                                                                                                          |[0x80000c80]:xori a1, a0, 44<br> [0x80000c84]:sw a1, 740(gp)<br>     |
| 209|[0x80004350]<br>0x66666330|- rs1_val==1717986918 and imm_val==1366<br>                                                                                                                                        |[0x80000c90]:xori a1, a0, 1366<br> [0x80000c94]:sw a1, 744(gp)<br>   |
| 210|[0x80004354]<br>0x99999CCD|- rs1_val==1717986918 and imm_val==-1365<br>                                                                                                                                       |[0x80000ca0]:xori a1, a0, 2731<br> [0x80000ca4]:sw a1, 748(gp)<br>   |
| 211|[0x80004358]<br>0x66666660|- rs1_val==1717986918 and imm_val==6<br>                                                                                                                                           |[0x80000cb0]:xori a1, a0, 6<br> [0x80000cb4]:sw a1, 752(gp)<br>      |
| 212|[0x8000435c]<br>0x66666552|- rs1_val==1717986918 and imm_val==820<br>                                                                                                                                         |[0x80000cc0]:xori a1, a0, 820<br> [0x80000cc4]:sw a1, 756(gp)<br>    |
| 213|[0x80004360]<br>0x66666001|- rs1_val==1717986918 and imm_val==1639<br>                                                                                                                                        |[0x80000cd0]:xori a1, a0, 1639<br> [0x80000cd4]:sw a1, 760(gp)<br>   |
| 214|[0x80004364]<br>0x999999B2|- rs1_val==1717986918 and imm_val==-44<br>                                                                                                                                         |[0x80000ce0]:xori a1, a0, 4052<br> [0x80000ce4]:sw a1, 764(gp)<br>   |
| 215|[0x80004368]<br>0x66666648|- rs1_val==1717986918 and imm_val==46<br>                                                                                                                                          |[0x80000cf0]:xori a1, a0, 46<br> [0x80000cf4]:sw a1, 768(gp)<br>     |
| 216|[0x8000436c]<br>0xFFFF4AFF|- rs1_val==-46340 and imm_val==3<br>                                                                                                                                               |[0x80000d00]:xori a1, a0, 3<br> [0x80000d04]:sw a1, 772(gp)<br>      |
| 217|[0x80004370]<br>0xFFFF4FA9|- rs1_val==-46340 and imm_val==1365<br>                                                                                                                                            |[0x80000d10]:xori a1, a0, 1365<br> [0x80000d14]:sw a1, 776(gp)<br>   |
| 218|[0x80004374]<br>0x0000B056|- rs1_val==-46340 and imm_val==-1366<br>                                                                                                                                           |[0x80000d20]:xori a1, a0, 2730<br> [0x80000d24]:sw a1, 780(gp)<br>   |
| 219|[0x80004378]<br>0xFFFF4AF9|- rs1_val==-46340 and imm_val==5<br>                                                                                                                                               |[0x80000d30]:xori a1, a0, 5<br> [0x80000d34]:sw a1, 784(gp)<br>      |
| 220|[0x8000437c]<br>0xFFFF49CF|- rs1_val==-46340 and imm_val==819<br>                                                                                                                                             |[0x80000d40]:xori a1, a0, 819<br> [0x80000d44]:sw a1, 788(gp)<br>    |
| 221|[0x80004380]<br>0xFFFF4C9A|- rs1_val==-46340 and imm_val==1638<br>                                                                                                                                            |[0x80000d50]:xori a1, a0, 1638<br> [0x80000d54]:sw a1, 792(gp)<br>   |
| 222|[0x80004384]<br>0x0000B52F|- rs1_val==-46340 and imm_val==-45<br>                                                                                                                                             |[0x80000d60]:xori a1, a0, 4051<br> [0x80000d64]:sw a1, 796(gp)<br>   |
| 223|[0x80004388]<br>0xFFFF4AD1|- rs1_val==-46340 and imm_val==45<br>                                                                                                                                              |[0x80000d70]:xori a1, a0, 45<br> [0x80000d74]:sw a1, 800(gp)<br>     |
| 224|[0x8000438c]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==2<br>                                                                                                                                               |[0x80000d80]:xori a1, a0, 2<br> [0x80000d84]:sw a1, 804(gp)<br>      |
| 225|[0x80004390]<br>0xFFFF4FA8|- rs1_val==-46340 and imm_val==1364<br>                                                                                                                                            |[0x80000d90]:xori a1, a0, 1364<br> [0x80000d94]:sw a1, 808(gp)<br>   |
| 226|[0x80004394]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==0<br>                                                                                                                                               |[0x80000da0]:xori a1, a0, 0<br> [0x80000da4]:sw a1, 812(gp)<br>      |
| 227|[0x80004398]<br>0xFFFF4AF8|- rs1_val==-46340 and imm_val==4<br>                                                                                                                                               |[0x80000db0]:xori a1, a0, 4<br> [0x80000db4]:sw a1, 816(gp)<br>      |
| 228|[0x8000439c]<br>0xFFFF49CE|- rs1_val==-46340 and imm_val==818<br>                                                                                                                                             |[0x80000dc0]:xori a1, a0, 818<br> [0x80000dc4]:sw a1, 820(gp)<br>    |
| 229|[0x800043a0]<br>0xFFFF4C99|- rs1_val==-46340 and imm_val==1637<br>                                                                                                                                            |[0x80000dd0]:xori a1, a0, 1637<br> [0x80000dd4]:sw a1, 824(gp)<br>   |
| 230|[0x800043a4]<br>0xFFFF4AD0|- rs1_val==-46340 and imm_val==44<br>                                                                                                                                              |[0x80000de0]:xori a1, a0, 44<br> [0x80000de4]:sw a1, 828(gp)<br>     |
| 231|[0x800043a8]<br>0xFFFF4FAA|- rs1_val==-46340 and imm_val==1366<br>                                                                                                                                            |[0x80000df0]:xori a1, a0, 1366<br> [0x80000df4]:sw a1, 832(gp)<br>   |
| 232|[0x800043ac]<br>0x0000B057|- rs1_val==-46340 and imm_val==-1365<br>                                                                                                                                           |[0x80000e00]:xori a1, a0, 2731<br> [0x80000e04]:sw a1, 836(gp)<br>   |
| 233|[0x800043b0]<br>0xFFFF4AFA|- rs1_val==-46340 and imm_val==6<br>                                                                                                                                               |[0x80000e10]:xori a1, a0, 6<br> [0x80000e14]:sw a1, 840(gp)<br>      |
| 234|[0x800043b4]<br>0xFFFF49C8|- rs1_val==-46340 and imm_val==820<br>                                                                                                                                             |[0x80000e20]:xori a1, a0, 820<br> [0x80000e24]:sw a1, 844(gp)<br>    |
| 235|[0x800043b8]<br>0xFFFF4C9B|- rs1_val==-46340 and imm_val==1639<br>                                                                                                                                            |[0x80000e30]:xori a1, a0, 1639<br> [0x80000e34]:sw a1, 848(gp)<br>   |
| 236|[0x800043bc]<br>0x0000B528|- rs1_val==-46340 and imm_val==-44<br>                                                                                                                                             |[0x80000e40]:xori a1, a0, 4052<br> [0x80000e44]:sw a1, 852(gp)<br>   |
| 237|[0x800043c0]<br>0xFFFF4AD2|- rs1_val==-46340 and imm_val==46<br>                                                                                                                                              |[0x80000e50]:xori a1, a0, 46<br> [0x80000e54]:sw a1, 856(gp)<br>     |
| 238|[0x800043c4]<br>0x0000B507|- rs1_val==46340 and imm_val==3<br>                                                                                                                                                |[0x80000e60]:xori a1, a0, 3<br> [0x80000e64]:sw a1, 860(gp)<br>      |
| 239|[0x800043c8]<br>0x0000B051|- rs1_val==46340 and imm_val==1365<br>                                                                                                                                             |[0x80000e70]:xori a1, a0, 1365<br> [0x80000e74]:sw a1, 864(gp)<br>   |
| 240|[0x800043cc]<br>0xFFFF4FAE|- rs1_val==46340 and imm_val==-1366<br>                                                                                                                                            |[0x80000e80]:xori a1, a0, 2730<br> [0x80000e84]:sw a1, 868(gp)<br>   |
| 241|[0x800043d0]<br>0x0000B501|- rs1_val==46340 and imm_val==5<br>                                                                                                                                                |[0x80000e90]:xori a1, a0, 5<br> [0x80000e94]:sw a1, 872(gp)<br>      |
| 242|[0x800043d4]<br>0x0000B637|- rs1_val==46340 and imm_val==819<br>                                                                                                                                              |[0x80000ea0]:xori a1, a0, 819<br> [0x80000ea4]:sw a1, 876(gp)<br>    |
| 243|[0x800043d8]<br>0x0000B362|- rs1_val==46340 and imm_val==1638<br>                                                                                                                                             |[0x80000eb0]:xori a1, a0, 1638<br> [0x80000eb4]:sw a1, 880(gp)<br>   |
| 244|[0x800043dc]<br>0xFFFF4AD7|- rs1_val==46340 and imm_val==-45<br>                                                                                                                                              |[0x80000ec0]:xori a1, a0, 4051<br> [0x80000ec4]:sw a1, 884(gp)<br>   |
| 245|[0x800043e0]<br>0x0000B529|- rs1_val==46340 and imm_val==45<br>                                                                                                                                               |[0x80000ed0]:xori a1, a0, 45<br> [0x80000ed4]:sw a1, 888(gp)<br>     |
| 246|[0x800043e4]<br>0x0000B506|- rs1_val==46340 and imm_val==2<br>                                                                                                                                                |[0x80000ee0]:xori a1, a0, 2<br> [0x80000ee4]:sw a1, 892(gp)<br>      |
| 247|[0x800043e8]<br>0x0000B050|- rs1_val==46340 and imm_val==1364<br>                                                                                                                                             |[0x80000ef0]:xori a1, a0, 1364<br> [0x80000ef4]:sw a1, 896(gp)<br>   |
| 248|[0x800043ec]<br>0x0000B504|- rs1_val==46340 and imm_val==0<br>                                                                                                                                                |[0x80000f00]:xori a1, a0, 0<br> [0x80000f04]:sw a1, 900(gp)<br>      |
| 249|[0x800043f0]<br>0x0000B500|- rs1_val==46340 and imm_val==4<br>                                                                                                                                                |[0x80000f10]:xori a1, a0, 4<br> [0x80000f14]:sw a1, 904(gp)<br>      |
| 250|[0x800043f4]<br>0x0000B636|- rs1_val==46340 and imm_val==818<br>                                                                                                                                              |[0x80000f20]:xori a1, a0, 818<br> [0x80000f24]:sw a1, 908(gp)<br>    |
| 251|[0x800043f8]<br>0x0000B361|- rs1_val==46340 and imm_val==1637<br>                                                                                                                                             |[0x80000f30]:xori a1, a0, 1637<br> [0x80000f34]:sw a1, 912(gp)<br>   |
| 252|[0x800043fc]<br>0x0000B528|- rs1_val==46340 and imm_val==44<br>                                                                                                                                               |[0x80000f40]:xori a1, a0, 44<br> [0x80000f44]:sw a1, 916(gp)<br>     |
| 253|[0x80004400]<br>0x0000B052|- rs1_val==46340 and imm_val==1366<br>                                                                                                                                             |[0x80000f50]:xori a1, a0, 1366<br> [0x80000f54]:sw a1, 920(gp)<br>   |
| 254|[0x80004404]<br>0xFFFF4FAF|- rs1_val==46340 and imm_val==-1365<br>                                                                                                                                            |[0x80000f60]:xori a1, a0, 2731<br> [0x80000f64]:sw a1, 924(gp)<br>   |
| 255|[0x80004408]<br>0x0000B502|- rs1_val==46340 and imm_val==6<br>                                                                                                                                                |[0x80000f70]:xori a1, a0, 6<br> [0x80000f74]:sw a1, 928(gp)<br>      |
| 256|[0x8000440c]<br>0x0000B630|- rs1_val==46340 and imm_val==820<br>                                                                                                                                              |[0x80000f80]:xori a1, a0, 820<br> [0x80000f84]:sw a1, 932(gp)<br>    |
| 257|[0x80004410]<br>0x0000B363|- rs1_val==46340 and imm_val==1639<br>                                                                                                                                             |[0x80000f90]:xori a1, a0, 1639<br> [0x80000f94]:sw a1, 936(gp)<br>   |
| 258|[0x80004414]<br>0xFFFF4AD0|- rs1_val==46340 and imm_val==-44<br>                                                                                                                                              |[0x80000fa0]:xori a1, a0, 4052<br> [0x80000fa4]:sw a1, 940(gp)<br>   |
| 259|[0x80004418]<br>0x0000B52A|- rs1_val==46340 and imm_val==46<br>                                                                                                                                               |[0x80000fb0]:xori a1, a0, 46<br> [0x80000fb4]:sw a1, 944(gp)<br>     |
| 260|[0x8000441c]<br>0x00000001|- rs1_val==2 and imm_val==3<br>                                                                                                                                                    |[0x80000fbc]:xori a1, a0, 3<br> [0x80000fc0]:sw a1, 948(gp)<br>      |
| 261|[0x80004420]<br>0x00000557|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                 |[0x80000fc8]:xori a1, a0, 1365<br> [0x80000fcc]:sw a1, 952(gp)<br>   |
| 262|[0x80004424]<br>0xFFFFFAA8|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                |[0x80000fd4]:xori a1, a0, 2730<br> [0x80000fd8]:sw a1, 956(gp)<br>   |
| 263|[0x80004428]<br>0x00000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                                    |[0x80000fe0]:xori a1, a0, 5<br> [0x80000fe4]:sw a1, 960(gp)<br>      |
| 264|[0x8000442c]<br>0x00000331|- rs1_val==2 and imm_val==819<br>                                                                                                                                                  |[0x80000fec]:xori a1, a0, 819<br> [0x80000ff0]:sw a1, 964(gp)<br>    |
| 265|[0x80004430]<br>0x00000664|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                 |[0x80000ff8]:xori a1, a0, 1638<br> [0x80000ffc]:sw a1, 968(gp)<br>   |
| 266|[0x80004434]<br>0xFFFFFFD1|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                  |[0x80001004]:xori a1, a0, 4051<br> [0x80001008]:sw a1, 972(gp)<br>   |
| 267|[0x80004438]<br>0x0000002F|- rs1_val==2 and imm_val==45<br>                                                                                                                                                   |[0x80001010]:xori a1, a0, 45<br> [0x80001014]:sw a1, 976(gp)<br>     |
| 268|[0x8000443c]<br>0x00000000|- rs1_val==2 and imm_val==2<br>                                                                                                                                                    |[0x8000101c]:xori a1, a0, 2<br> [0x80001020]:sw a1, 980(gp)<br>      |
| 269|[0x80004440]<br>0x00000556|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                 |[0x80001028]:xori a1, a0, 1364<br> [0x8000102c]:sw a1, 984(gp)<br>   |
| 270|[0x80004444]<br>0x00000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                                    |[0x80001034]:xori a1, a0, 0<br> [0x80001038]:sw a1, 988(gp)<br>      |
| 271|[0x80004448]<br>0x00000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                                    |[0x80001040]:xori a1, a0, 4<br> [0x80001044]:sw a1, 992(gp)<br>      |
| 272|[0x8000444c]<br>0x00000330|- rs1_val==2 and imm_val==818<br>                                                                                                                                                  |[0x8000104c]:xori a1, a0, 818<br> [0x80001050]:sw a1, 996(gp)<br>    |
| 273|[0x80004450]<br>0x00000667|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                 |[0x80001058]:xori a1, a0, 1637<br> [0x8000105c]:sw a1, 1000(gp)<br>  |
| 274|[0x80004454]<br>0x0000002E|- rs1_val==2 and imm_val==44<br>                                                                                                                                                   |[0x80001064]:xori a1, a0, 44<br> [0x80001068]:sw a1, 1004(gp)<br>    |
| 275|[0x80004458]<br>0x00000554|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                 |[0x80001070]:xori a1, a0, 1366<br> [0x80001074]:sw a1, 1008(gp)<br>  |
| 276|[0x8000445c]<br>0xFFFFFAA9|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                |[0x8000107c]:xori a1, a0, 2731<br> [0x80001080]:sw a1, 1012(gp)<br>  |
| 277|[0x80004460]<br>0x00000004|- rs1_val==2 and imm_val==6<br>                                                                                                                                                    |[0x80001088]:xori a1, a0, 6<br> [0x8000108c]:sw a1, 1016(gp)<br>     |
| 278|[0x80004464]<br>0x00000336|- rs1_val==2 and imm_val==820<br>                                                                                                                                                  |[0x80001094]:xori a1, a0, 820<br> [0x80001098]:sw a1, 1020(gp)<br>   |
| 279|[0x80004468]<br>0x00000665|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                 |[0x800010a0]:xori a1, a0, 1639<br> [0x800010a4]:sw a1, 1024(gp)<br>  |
| 280|[0x8000446c]<br>0xFFFFFFD6|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                  |[0x800010ac]:xori a1, a0, 4052<br> [0x800010b0]:sw a1, 1028(gp)<br>  |
| 281|[0x80004470]<br>0x0000002C|- rs1_val==2 and imm_val==46<br>                                                                                                                                                   |[0x800010b8]:xori a1, a0, 46<br> [0x800010bc]:sw a1, 1032(gp)<br>    |
| 282|[0x80004474]<br>0x55555557|- rs1_val==1431655764 and imm_val==3<br>                                                                                                                                           |[0x800010c8]:xori a1, a0, 3<br> [0x800010cc]:sw a1, 1036(gp)<br>     |
| 283|[0x80004478]<br>0x55555001|- rs1_val==1431655764 and imm_val==1365<br>                                                                                                                                        |[0x800010d8]:xori a1, a0, 1365<br> [0x800010dc]:sw a1, 1040(gp)<br>  |
| 284|[0x8000447c]<br>0xAAAAAFFE|- rs1_val==1431655764 and imm_val==-1366<br>                                                                                                                                       |[0x800010e8]:xori a1, a0, 2730<br> [0x800010ec]:sw a1, 1044(gp)<br>  |
| 285|[0x80004480]<br>0x55555551|- rs1_val==1431655764 and imm_val==5<br>                                                                                                                                           |[0x800010f8]:xori a1, a0, 5<br> [0x800010fc]:sw a1, 1048(gp)<br>     |
| 286|[0x80004484]<br>0x55555667|- rs1_val==1431655764 and imm_val==819<br>                                                                                                                                         |[0x80001108]:xori a1, a0, 819<br> [0x8000110c]:sw a1, 1052(gp)<br>   |
| 287|[0x80004488]<br>0x55555332|- rs1_val==1431655764 and imm_val==1638<br>                                                                                                                                        |[0x80001118]:xori a1, a0, 1638<br> [0x8000111c]:sw a1, 1056(gp)<br>  |
| 288|[0x8000448c]<br>0xAAAAAA87|- rs1_val==1431655764 and imm_val==-45<br>                                                                                                                                         |[0x80001128]:xori a1, a0, 4051<br> [0x8000112c]:sw a1, 1060(gp)<br>  |
| 289|[0x80004490]<br>0x55555579|- rs1_val==1431655764 and imm_val==45<br>                                                                                                                                          |[0x80001138]:xori a1, a0, 45<br> [0x8000113c]:sw a1, 1064(gp)<br>    |
| 290|[0x80004494]<br>0x55555556|- rs1_val==1431655764 and imm_val==2<br>                                                                                                                                           |[0x80001148]:xori a1, a0, 2<br> [0x8000114c]:sw a1, 1068(gp)<br>     |
| 291|[0x80004498]<br>0x55555000|- rs1_val==1431655764 and imm_val==1364<br>                                                                                                                                        |[0x80001158]:xori a1, a0, 1364<br> [0x8000115c]:sw a1, 1072(gp)<br>  |
| 292|[0x8000449c]<br>0x55555554|- rs1_val==1431655764 and imm_val==0<br>                                                                                                                                           |[0x80001168]:xori a1, a0, 0<br> [0x8000116c]:sw a1, 1076(gp)<br>     |
| 293|[0x800044a0]<br>0x55555550|- rs1_val==1431655764 and imm_val==4<br>                                                                                                                                           |[0x80001178]:xori a1, a0, 4<br> [0x8000117c]:sw a1, 1080(gp)<br>     |
| 294|[0x800044a4]<br>0x55555666|- rs1_val==1431655764 and imm_val==818<br>                                                                                                                                         |[0x80001188]:xori a1, a0, 818<br> [0x8000118c]:sw a1, 1084(gp)<br>   |
| 295|[0x800044a8]<br>0x55555331|- rs1_val==1431655764 and imm_val==1637<br>                                                                                                                                        |[0x80001198]:xori a1, a0, 1637<br> [0x8000119c]:sw a1, 1088(gp)<br>  |
| 296|[0x800044ac]<br>0x55555578|- rs1_val==1431655764 and imm_val==44<br>                                                                                                                                          |[0x800011a8]:xori a1, a0, 44<br> [0x800011ac]:sw a1, 1092(gp)<br>    |
| 297|[0x800044b0]<br>0x55555002|- rs1_val==1431655764 and imm_val==1366<br>                                                                                                                                        |[0x800011b8]:xori a1, a0, 1366<br> [0x800011bc]:sw a1, 1096(gp)<br>  |
| 298|[0x800044b4]<br>0xAAAAAFFF|- rs1_val==1431655764 and imm_val==-1365<br>                                                                                                                                       |[0x800011c8]:xori a1, a0, 2731<br> [0x800011cc]:sw a1, 1100(gp)<br>  |
| 299|[0x800044b8]<br>0x55555552|- rs1_val==1431655764 and imm_val==6<br>                                                                                                                                           |[0x800011d8]:xori a1, a0, 6<br> [0x800011dc]:sw a1, 1104(gp)<br>     |
| 300|[0x800044bc]<br>0x55555660|- rs1_val==1431655764 and imm_val==820<br>                                                                                                                                         |[0x800011e8]:xori a1, a0, 820<br> [0x800011ec]:sw a1, 1108(gp)<br>   |
| 301|[0x800044c0]<br>0x55555333|- rs1_val==1431655764 and imm_val==1639<br>                                                                                                                                        |[0x800011f8]:xori a1, a0, 1639<br> [0x800011fc]:sw a1, 1112(gp)<br>  |
| 302|[0x800044c4]<br>0xAAAAAA80|- rs1_val==1431655764 and imm_val==-44<br>                                                                                                                                         |[0x80001208]:xori a1, a0, 4052<br> [0x8000120c]:sw a1, 1116(gp)<br>  |
| 303|[0x800044c8]<br>0x5555557A|- rs1_val==1431655764 and imm_val==46<br>                                                                                                                                          |[0x80001218]:xori a1, a0, 46<br> [0x8000121c]:sw a1, 1120(gp)<br>    |
| 304|[0x800044cc]<br>0x00000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                                    |[0x80001224]:xori a1, a0, 3<br> [0x80001228]:sw a1, 1124(gp)<br>     |
| 305|[0x800044d0]<br>0x00000555|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                 |[0x80001230]:xori a1, a0, 1365<br> [0x80001234]:sw a1, 1128(gp)<br>  |
| 306|[0x800044d4]<br>0xFFFFFAAA|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                |[0x8000123c]:xori a1, a0, 2730<br> [0x80001240]:sw a1, 1132(gp)<br>  |
| 307|[0x800044d8]<br>0x00000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                                    |[0x80001248]:xori a1, a0, 5<br> [0x8000124c]:sw a1, 1136(gp)<br>     |
| 308|[0x800044dc]<br>0x00000333|- rs1_val==0 and imm_val==819<br>                                                                                                                                                  |[0x80001254]:xori a1, a0, 819<br> [0x80001258]:sw a1, 1140(gp)<br>   |
| 309|[0x800044e0]<br>0x00000666|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                 |[0x80001260]:xori a1, a0, 1638<br> [0x80001264]:sw a1, 1144(gp)<br>  |
| 310|[0x800044e4]<br>0xFFFFFFD3|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                  |[0x8000126c]:xori a1, a0, 4051<br> [0x80001270]:sw a1, 1148(gp)<br>  |
| 311|[0x800044e8]<br>0x0000002D|- rs1_val==0 and imm_val==45<br>                                                                                                                                                   |[0x80001278]:xori a1, a0, 45<br> [0x8000127c]:sw a1, 1152(gp)<br>    |
| 312|[0x800044ec]<br>0x33333006|- rs1_val==858993460 and imm_val==818<br>                                                                                                                                          |[0x80001288]:xori a1, a0, 818<br> [0x8000128c]:sw a1, 1156(gp)<br>   |
| 313|[0x800044f0]<br>0x33333551|- rs1_val==858993460 and imm_val==1637<br>                                                                                                                                         |[0x80001298]:xori a1, a0, 1637<br> [0x8000129c]:sw a1, 1160(gp)<br>  |
| 314|[0x800044f4]<br>0x33333318|- rs1_val==858993460 and imm_val==44<br>                                                                                                                                           |[0x800012a8]:xori a1, a0, 44<br> [0x800012ac]:sw a1, 1164(gp)<br>    |
| 315|[0x800044f8]<br>0x33333662|- rs1_val==858993460 and imm_val==1366<br>                                                                                                                                         |[0x800012b8]:xori a1, a0, 1366<br> [0x800012bc]:sw a1, 1168(gp)<br>  |
| 316|[0x800044fc]<br>0xCCCCC99F|- rs1_val==858993460 and imm_val==-1365<br>                                                                                                                                        |[0x800012c8]:xori a1, a0, 2731<br> [0x800012cc]:sw a1, 1172(gp)<br>  |
| 317|[0x80004500]<br>0x33333332|- rs1_val==858993460 and imm_val==6<br>                                                                                                                                            |[0x800012d8]:xori a1, a0, 6<br> [0x800012dc]:sw a1, 1176(gp)<br>     |
| 318|[0x80004504]<br>0x33333000|- rs1_val==858993460 and imm_val==820<br>                                                                                                                                          |[0x800012e8]:xori a1, a0, 820<br> [0x800012ec]:sw a1, 1180(gp)<br>   |
| 319|[0x80004508]<br>0x33333553|- rs1_val==858993460 and imm_val==1639<br>                                                                                                                                         |[0x800012f8]:xori a1, a0, 1639<br> [0x800012fc]:sw a1, 1184(gp)<br>  |
| 320|[0x8000450c]<br>0xCCCCCCE0|- rs1_val==858993460 and imm_val==-44<br>                                                                                                                                          |[0x80001308]:xori a1, a0, 4052<br> [0x8000130c]:sw a1, 1188(gp)<br>  |
| 321|[0x80004510]<br>0x3333331A|- rs1_val==858993460 and imm_val==46<br>                                                                                                                                           |[0x80001318]:xori a1, a0, 46<br> [0x8000131c]:sw a1, 1192(gp)<br>    |
| 322|[0x80004514]<br>0x66666664|- rs1_val==1717986919 and imm_val==3<br>                                                                                                                                           |[0x80001328]:xori a1, a0, 3<br> [0x8000132c]:sw a1, 1196(gp)<br>     |
| 323|[0x80004518]<br>0x66666332|- rs1_val==1717986919 and imm_val==1365<br>                                                                                                                                        |[0x80001338]:xori a1, a0, 1365<br> [0x8000133c]:sw a1, 1200(gp)<br>  |
| 324|[0x8000451c]<br>0x99999CCD|- rs1_val==1717986919 and imm_val==-1366<br>                                                                                                                                       |[0x80001348]:xori a1, a0, 2730<br> [0x8000134c]:sw a1, 1204(gp)<br>  |
| 325|[0x80004520]<br>0x66666662|- rs1_val==1717986919 and imm_val==5<br>                                                                                                                                           |[0x80001358]:xori a1, a0, 5<br> [0x8000135c]:sw a1, 1208(gp)<br>     |
| 326|[0x80004524]<br>0x66666554|- rs1_val==1717986919 and imm_val==819<br>                                                                                                                                         |[0x80001368]:xori a1, a0, 819<br> [0x8000136c]:sw a1, 1212(gp)<br>   |
| 327|[0x80004528]<br>0x66666001|- rs1_val==1717986919 and imm_val==1638<br>                                                                                                                                        |[0x80001378]:xori a1, a0, 1638<br> [0x8000137c]:sw a1, 1216(gp)<br>  |
| 328|[0x8000452c]<br>0x999999B4|- rs1_val==1717986919 and imm_val==-45<br>                                                                                                                                         |[0x80001388]:xori a1, a0, 4051<br> [0x8000138c]:sw a1, 1220(gp)<br>  |
| 329|[0x80004530]<br>0x6666664A|- rs1_val==1717986919 and imm_val==45<br>                                                                                                                                          |[0x80001398]:xori a1, a0, 45<br> [0x8000139c]:sw a1, 1224(gp)<br>    |
| 330|[0x80004534]<br>0x66666665|- rs1_val==1717986919 and imm_val==2<br>                                                                                                                                           |[0x800013a8]:xori a1, a0, 2<br> [0x800013ac]:sw a1, 1228(gp)<br>     |
| 331|[0x80004538]<br>0x66666333|- rs1_val==1717986919 and imm_val==1364<br>                                                                                                                                        |[0x800013b8]:xori a1, a0, 1364<br> [0x800013bc]:sw a1, 1232(gp)<br>  |
| 332|[0x8000453c]<br>0x66666667|- rs1_val==1717986919 and imm_val==0<br>                                                                                                                                           |[0x800013c8]:xori a1, a0, 0<br> [0x800013cc]:sw a1, 1236(gp)<br>     |
| 333|[0x80004540]<br>0x66666663|- rs1_val==1717986919 and imm_val==4<br>                                                                                                                                           |[0x800013d8]:xori a1, a0, 4<br> [0x800013dc]:sw a1, 1240(gp)<br>     |
| 334|[0x80004544]<br>0x66666555|- rs1_val==1717986919 and imm_val==818<br>                                                                                                                                         |[0x800013e8]:xori a1, a0, 818<br> [0x800013ec]:sw a1, 1244(gp)<br>   |
| 335|[0x80004548]<br>0x66666002|- rs1_val==1717986919 and imm_val==1637<br>                                                                                                                                        |[0x800013f8]:xori a1, a0, 1637<br> [0x800013fc]:sw a1, 1248(gp)<br>  |
| 336|[0x8000454c]<br>0x6666664B|- rs1_val==1717986919 and imm_val==44<br>                                                                                                                                          |[0x80001408]:xori a1, a0, 44<br> [0x8000140c]:sw a1, 1252(gp)<br>    |
| 337|[0x80004550]<br>0x66666331|- rs1_val==1717986919 and imm_val==1366<br>                                                                                                                                        |[0x80001418]:xori a1, a0, 1366<br> [0x8000141c]:sw a1, 1256(gp)<br>  |
| 338|[0x80004554]<br>0x99999CCC|- rs1_val==1717986919 and imm_val==-1365<br>                                                                                                                                       |[0x80001428]:xori a1, a0, 2731<br> [0x8000142c]:sw a1, 1260(gp)<br>  |
| 339|[0x80004558]<br>0x66666661|- rs1_val==1717986919 and imm_val==6<br>                                                                                                                                           |[0x80001438]:xori a1, a0, 6<br> [0x8000143c]:sw a1, 1264(gp)<br>     |
| 340|[0x8000455c]<br>0x66666553|- rs1_val==1717986919 and imm_val==820<br>                                                                                                                                         |[0x80001448]:xori a1, a0, 820<br> [0x8000144c]:sw a1, 1268(gp)<br>   |
| 341|[0x80004560]<br>0x66666000|- rs1_val==1717986919 and imm_val==1639<br>                                                                                                                                        |[0x80001458]:xori a1, a0, 1639<br> [0x8000145c]:sw a1, 1272(gp)<br>  |
| 342|[0x80004564]<br>0x999999B3|- rs1_val==1717986919 and imm_val==-44<br>                                                                                                                                         |[0x80001468]:xori a1, a0, 4052<br> [0x8000146c]:sw a1, 1276(gp)<br>  |
| 343|[0x80004568]<br>0x66666649|- rs1_val==1717986919 and imm_val==46<br>                                                                                                                                          |[0x80001478]:xori a1, a0, 46<br> [0x8000147c]:sw a1, 1280(gp)<br>    |
| 344|[0x8000456c]<br>0xFFFF4AFE|- rs1_val==-46339 and imm_val==3<br>                                                                                                                                               |[0x80001488]:xori a1, a0, 3<br> [0x8000148c]:sw a1, 1284(gp)<br>     |
| 345|[0x80004570]<br>0xFFFF4FA8|- rs1_val==-46339 and imm_val==1365<br>                                                                                                                                            |[0x80001498]:xori a1, a0, 1365<br> [0x8000149c]:sw a1, 1288(gp)<br>  |
| 346|[0x80004574]<br>0x0000B057|- rs1_val==-46339 and imm_val==-1366<br>                                                                                                                                           |[0x800014a8]:xori a1, a0, 2730<br> [0x800014ac]:sw a1, 1292(gp)<br>  |
| 347|[0x80004578]<br>0xFFFF4AF8|- rs1_val==-46339 and imm_val==5<br>                                                                                                                                               |[0x800014b8]:xori a1, a0, 5<br> [0x800014bc]:sw a1, 1296(gp)<br>     |
| 348|[0x8000457c]<br>0xFFFF49CE|- rs1_val==-46339 and imm_val==819<br>                                                                                                                                             |[0x800014c8]:xori a1, a0, 819<br> [0x800014cc]:sw a1, 1300(gp)<br>   |
| 349|[0x80004580]<br>0xFFFF4C9B|- rs1_val==-46339 and imm_val==1638<br>                                                                                                                                            |[0x800014d8]:xori a1, a0, 1638<br> [0x800014dc]:sw a1, 1304(gp)<br>  |
| 350|[0x80004584]<br>0x0000B52E|- rs1_val==-46339 and imm_val==-45<br>                                                                                                                                             |[0x800014e8]:xori a1, a0, 4051<br> [0x800014ec]:sw a1, 1308(gp)<br>  |
| 351|[0x80004588]<br>0xFFFF4AD0|- rs1_val==-46339 and imm_val==45<br>                                                                                                                                              |[0x800014f8]:xori a1, a0, 45<br> [0x800014fc]:sw a1, 1312(gp)<br>    |
| 352|[0x8000458c]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==2<br>                                                                                                                                               |[0x80001508]:xori a1, a0, 2<br> [0x8000150c]:sw a1, 1316(gp)<br>     |
| 353|[0x80004590]<br>0xFFFF4FA9|- rs1_val==-46339 and imm_val==1364<br>                                                                                                                                            |[0x80001518]:xori a1, a0, 1364<br> [0x8000151c]:sw a1, 1320(gp)<br>  |
| 354|[0x80004594]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==0<br>                                                                                                                                               |[0x80001528]:xori a1, a0, 0<br> [0x8000152c]:sw a1, 1324(gp)<br>     |
| 355|[0x80004598]<br>0xFFFF4AF9|- rs1_val==-46339 and imm_val==4<br>                                                                                                                                               |[0x80001538]:xori a1, a0, 4<br> [0x8000153c]:sw a1, 1328(gp)<br>     |
| 356|[0x8000459c]<br>0xFFFF49CF|- rs1_val==-46339 and imm_val==818<br>                                                                                                                                             |[0x80001548]:xori a1, a0, 818<br> [0x8000154c]:sw a1, 1332(gp)<br>   |
| 357|[0x800045a0]<br>0xFFFF4C98|- rs1_val==-46339 and imm_val==1637<br>                                                                                                                                            |[0x80001558]:xori a1, a0, 1637<br> [0x8000155c]:sw a1, 1336(gp)<br>  |
| 358|[0x800045a4]<br>0xFFFF4AD1|- rs1_val==-46339 and imm_val==44<br>                                                                                                                                              |[0x80001568]:xori a1, a0, 44<br> [0x8000156c]:sw a1, 1340(gp)<br>    |
| 359|[0x800045a8]<br>0xFFFF4FAB|- rs1_val==-46339 and imm_val==1366<br>                                                                                                                                            |[0x80001578]:xori a1, a0, 1366<br> [0x8000157c]:sw a1, 1344(gp)<br>  |
| 360|[0x800045ac]<br>0x0000B056|- rs1_val==-46339 and imm_val==-1365<br>                                                                                                                                           |[0x80001588]:xori a1, a0, 2731<br> [0x8000158c]:sw a1, 1348(gp)<br>  |
| 361|[0x800045b0]<br>0xFFFF4AFB|- rs1_val==-46339 and imm_val==6<br>                                                                                                                                               |[0x80001598]:xori a1, a0, 6<br> [0x8000159c]:sw a1, 1352(gp)<br>     |
| 362|[0x800045b4]<br>0xFFFF49C9|- rs1_val==-46339 and imm_val==820<br>                                                                                                                                             |[0x800015a8]:xori a1, a0, 820<br> [0x800015ac]:sw a1, 1356(gp)<br>   |
| 363|[0x800045b8]<br>0xFFFF4C9A|- rs1_val==-46339 and imm_val==1639<br>                                                                                                                                            |[0x800015b8]:xori a1, a0, 1639<br> [0x800015bc]:sw a1, 1360(gp)<br>  |
| 364|[0x800045bc]<br>0x0000B529|- rs1_val==-46339 and imm_val==-44<br>                                                                                                                                             |[0x800015c8]:xori a1, a0, 4052<br> [0x800015cc]:sw a1, 1364(gp)<br>  |
| 365|[0x800045c0]<br>0xFFFF4AD3|- rs1_val==-46339 and imm_val==46<br>                                                                                                                                              |[0x800015d8]:xori a1, a0, 46<br> [0x800015dc]:sw a1, 1368(gp)<br>    |
| 366|[0x800045c4]<br>0x0000B506|- rs1_val==46341 and imm_val==3<br>                                                                                                                                                |[0x800015e8]:xori a1, a0, 3<br> [0x800015ec]:sw a1, 1372(gp)<br>     |
| 367|[0x800045c8]<br>0x0000B050|- rs1_val==46341 and imm_val==1365<br>                                                                                                                                             |[0x800015f8]:xori a1, a0, 1365<br> [0x800015fc]:sw a1, 1376(gp)<br>  |
| 368|[0x800045cc]<br>0xFFFF4FAF|- rs1_val==46341 and imm_val==-1366<br>                                                                                                                                            |[0x80001608]:xori a1, a0, 2730<br> [0x8000160c]:sw a1, 1380(gp)<br>  |
| 369|[0x800045d0]<br>0x0000B500|- rs1_val==46341 and imm_val==5<br>                                                                                                                                                |[0x80001618]:xori a1, a0, 5<br> [0x8000161c]:sw a1, 1384(gp)<br>     |
| 370|[0x800045d4]<br>0x0000B636|- rs1_val==46341 and imm_val==819<br>                                                                                                                                              |[0x80001628]:xori a1, a0, 819<br> [0x8000162c]:sw a1, 1388(gp)<br>   |
| 371|[0x800045d8]<br>0x0000B363|- rs1_val==46341 and imm_val==1638<br>                                                                                                                                             |[0x80001638]:xori a1, a0, 1638<br> [0x8000163c]:sw a1, 1392(gp)<br>  |
| 372|[0x800045dc]<br>0xFFFF4AD6|- rs1_val==46341 and imm_val==-45<br>                                                                                                                                              |[0x80001648]:xori a1, a0, 4051<br> [0x8000164c]:sw a1, 1396(gp)<br>  |
| 373|[0x800045e0]<br>0x0000B528|- rs1_val==46341 and imm_val==45<br>                                                                                                                                               |[0x80001658]:xori a1, a0, 45<br> [0x8000165c]:sw a1, 1400(gp)<br>    |
| 374|[0x800045e4]<br>0x0000B507|- rs1_val==46341 and imm_val==2<br>                                                                                                                                                |[0x80001668]:xori a1, a0, 2<br> [0x8000166c]:sw a1, 1404(gp)<br>     |
| 375|[0x800045e8]<br>0x0000B051|- rs1_val==46341 and imm_val==1364<br>                                                                                                                                             |[0x80001678]:xori a1, a0, 1364<br> [0x8000167c]:sw a1, 1408(gp)<br>  |
| 376|[0x800045ec]<br>0x0000B505|- rs1_val==46341 and imm_val==0<br>                                                                                                                                                |[0x80001688]:xori a1, a0, 0<br> [0x8000168c]:sw a1, 1412(gp)<br>     |
| 377|[0x800045f0]<br>0x0000B501|- rs1_val==46341 and imm_val==4<br>                                                                                                                                                |[0x80001698]:xori a1, a0, 4<br> [0x8000169c]:sw a1, 1416(gp)<br>     |
| 378|[0x800045f4]<br>0x0000B637|- rs1_val==46341 and imm_val==818<br>                                                                                                                                              |[0x800016a8]:xori a1, a0, 818<br> [0x800016ac]:sw a1, 1420(gp)<br>   |
| 379|[0x800045f8]<br>0x0000B360|- rs1_val==46341 and imm_val==1637<br>                                                                                                                                             |[0x800016b8]:xori a1, a0, 1637<br> [0x800016bc]:sw a1, 1424(gp)<br>  |
| 380|[0x800045fc]<br>0x0000B529|- rs1_val==46341 and imm_val==44<br>                                                                                                                                               |[0x800016c8]:xori a1, a0, 44<br> [0x800016cc]:sw a1, 1428(gp)<br>    |
| 381|[0x80004600]<br>0x0000B053|- rs1_val==46341 and imm_val==1366<br>                                                                                                                                             |[0x800016d8]:xori a1, a0, 1366<br> [0x800016dc]:sw a1, 1432(gp)<br>  |
| 382|[0x80004604]<br>0xFFFF4FAE|- rs1_val==46341 and imm_val==-1365<br>                                                                                                                                            |[0x800016e8]:xori a1, a0, 2731<br> [0x800016ec]:sw a1, 1436(gp)<br>  |
| 383|[0x80004608]<br>0x0000B503|- rs1_val==46341 and imm_val==6<br>                                                                                                                                                |[0x800016f8]:xori a1, a0, 6<br> [0x800016fc]:sw a1, 1440(gp)<br>     |
| 384|[0x8000460c]<br>0x0000B631|- rs1_val==46341 and imm_val==820<br>                                                                                                                                              |[0x80001708]:xori a1, a0, 820<br> [0x8000170c]:sw a1, 1444(gp)<br>   |
| 385|[0x80004610]<br>0x0000B362|- rs1_val==46341 and imm_val==1639<br>                                                                                                                                             |[0x80001718]:xori a1, a0, 1639<br> [0x8000171c]:sw a1, 1448(gp)<br>  |
| 386|[0x80004614]<br>0xFFFF4AD1|- rs1_val==46341 and imm_val==-44<br>                                                                                                                                              |[0x80001728]:xori a1, a0, 4052<br> [0x8000172c]:sw a1, 1452(gp)<br>  |
| 387|[0x80004618]<br>0x0000B52B|- rs1_val==46341 and imm_val==46<br>                                                                                                                                               |[0x80001738]:xori a1, a0, 46<br> [0x8000173c]:sw a1, 1456(gp)<br>    |
| 388|[0x8000461c]<br>0x00000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                                    |[0x80001744]:xori a1, a0, 2<br> [0x80001748]:sw a1, 1460(gp)<br>     |
| 389|[0x80004620]<br>0x00000554|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                 |[0x80001750]:xori a1, a0, 1364<br> [0x80001754]:sw a1, 1464(gp)<br>  |
| 390|[0x80004624]<br>0x00000000|- rs1_val==0 and imm_val==0<br>                                                                                                                                                    |[0x8000175c]:xori a1, a0, 0<br> [0x80001760]:sw a1, 1468(gp)<br>     |
| 391|[0x80004628]<br>0x00000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                                    |[0x80001768]:xori a1, a0, 4<br> [0x8000176c]:sw a1, 1472(gp)<br>     |
| 392|[0x8000462c]<br>0x00000332|- rs1_val==0 and imm_val==818<br>                                                                                                                                                  |[0x80001774]:xori a1, a0, 818<br> [0x80001778]:sw a1, 1476(gp)<br>   |
| 393|[0x80004630]<br>0x00000665|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                 |[0x80001780]:xori a1, a0, 1637<br> [0x80001784]:sw a1, 1480(gp)<br>  |
| 394|[0x80004634]<br>0x0000002C|- rs1_val==0 and imm_val==44<br>                                                                                                                                                   |[0x8000178c]:xori a1, a0, 44<br> [0x80001790]:sw a1, 1484(gp)<br>    |
| 395|[0x80004638]<br>0x00000556|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                 |[0x80001798]:xori a1, a0, 1366<br> [0x8000179c]:sw a1, 1488(gp)<br>  |
| 396|[0x8000463c]<br>0xFFFFFAAB|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                |[0x800017a4]:xori a1, a0, 2731<br> [0x800017a8]:sw a1, 1492(gp)<br>  |
| 397|[0x80004640]<br>0x00000006|- rs1_val==0 and imm_val==6<br>                                                                                                                                                    |[0x800017b0]:xori a1, a0, 6<br> [0x800017b4]:sw a1, 1496(gp)<br>     |
| 398|[0x80004644]<br>0x00000334|- rs1_val==0 and imm_val==820<br>                                                                                                                                                  |[0x800017bc]:xori a1, a0, 820<br> [0x800017c0]:sw a1, 1500(gp)<br>   |
| 399|[0x80004648]<br>0x00000667|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                 |[0x800017c8]:xori a1, a0, 1639<br> [0x800017cc]:sw a1, 1504(gp)<br>  |
| 400|[0x8000464c]<br>0xFFFFFFD4|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                  |[0x800017d4]:xori a1, a0, 4052<br> [0x800017d8]:sw a1, 1508(gp)<br>  |
| 401|[0x80004650]<br>0x0000002E|- rs1_val==0 and imm_val==46<br>                                                                                                                                                   |[0x800017e0]:xori a1, a0, 46<br> [0x800017e4]:sw a1, 1512(gp)<br>    |
| 402|[0x80004654]<br>0x00000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                                    |[0x800017ec]:xori a1, a0, 3<br> [0x800017f0]:sw a1, 1516(gp)<br>     |
| 403|[0x80004658]<br>0x00000551|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                 |[0x800017f8]:xori a1, a0, 1365<br> [0x800017fc]:sw a1, 1520(gp)<br>  |
| 404|[0x8000465c]<br>0xFFFFFAAE|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                |[0x80001804]:xori a1, a0, 2730<br> [0x80001808]:sw a1, 1524(gp)<br>  |
| 405|[0x80004660]<br>0x00000001|- rs1_val==4 and imm_val==5<br>                                                                                                                                                    |[0x80001810]:xori a1, a0, 5<br> [0x80001814]:sw a1, 1528(gp)<br>     |
| 406|[0x80004664]<br>0x00000337|- rs1_val==4 and imm_val==819<br>                                                                                                                                                  |[0x8000181c]:xori a1, a0, 819<br> [0x80001820]:sw a1, 1532(gp)<br>   |
| 407|[0x80004668]<br>0x00000662|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                 |[0x80001828]:xori a1, a0, 1638<br> [0x8000182c]:sw a1, 1536(gp)<br>  |
| 408|[0x8000466c]<br>0xFFFFFFD7|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                  |[0x80001834]:xori a1, a0, 4051<br> [0x80001838]:sw a1, 1540(gp)<br>  |
| 409|[0x80004670]<br>0x00000029|- rs1_val==4 and imm_val==45<br>                                                                                                                                                   |[0x80001840]:xori a1, a0, 45<br> [0x80001844]:sw a1, 1544(gp)<br>    |
| 410|[0x80004674]<br>0x00000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                                    |[0x8000184c]:xori a1, a0, 2<br> [0x80001850]:sw a1, 1548(gp)<br>     |
| 411|[0x80004678]<br>0x00000550|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                 |[0x80001858]:xori a1, a0, 1364<br> [0x8000185c]:sw a1, 1552(gp)<br>  |
| 412|[0x8000467c]<br>0x00000000|- rs1_val==4 and imm_val==4<br>                                                                                                                                                    |[0x80001864]:xori a1, a0, 4<br> [0x80001868]:sw a1, 1556(gp)<br>     |
| 413|[0x80004680]<br>0x00000336|- rs1_val==4 and imm_val==818<br>                                                                                                                                                  |[0x80001870]:xori a1, a0, 818<br> [0x80001874]:sw a1, 1560(gp)<br>   |
| 414|[0x80004684]<br>0x00000661|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                 |[0x8000187c]:xori a1, a0, 1637<br> [0x80001880]:sw a1, 1564(gp)<br>  |
| 415|[0x80004688]<br>0x00000028|- rs1_val==4 and imm_val==44<br>                                                                                                                                                   |[0x80001888]:xori a1, a0, 44<br> [0x8000188c]:sw a1, 1568(gp)<br>    |
| 416|[0x8000468c]<br>0x00000552|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                 |[0x80001894]:xori a1, a0, 1366<br> [0x80001898]:sw a1, 1572(gp)<br>  |
| 417|[0x80004690]<br>0xFFFFFAAF|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                |[0x800018a0]:xori a1, a0, 2731<br> [0x800018a4]:sw a1, 1576(gp)<br>  |
| 418|[0x80004694]<br>0x00000002|- rs1_val==4 and imm_val==6<br>                                                                                                                                                    |[0x800018ac]:xori a1, a0, 6<br> [0x800018b0]:sw a1, 1580(gp)<br>     |
| 419|[0x80004698]<br>0x00000330|- rs1_val==4 and imm_val==820<br>                                                                                                                                                  |[0x800018b8]:xori a1, a0, 820<br> [0x800018bc]:sw a1, 1584(gp)<br>   |
| 420|[0x8000469c]<br>0x00000663|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                 |[0x800018c4]:xori a1, a0, 1639<br> [0x800018c8]:sw a1, 1588(gp)<br>  |
| 421|[0x800046a0]<br>0xFFFFFFD0|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                  |[0x800018d0]:xori a1, a0, 4052<br> [0x800018d4]:sw a1, 1592(gp)<br>  |
| 422|[0x800046a4]<br>0x0000002A|- rs1_val==4 and imm_val==46<br>                                                                                                                                                   |[0x800018dc]:xori a1, a0, 46<br> [0x800018e0]:sw a1, 1596(gp)<br>    |
| 423|[0x800046a8]<br>0x33333331|- rs1_val==858993458 and imm_val==3<br>                                                                                                                                            |[0x800018ec]:xori a1, a0, 3<br> [0x800018f0]:sw a1, 1600(gp)<br>     |
| 424|[0x800046ac]<br>0x33333667|- rs1_val==858993458 and imm_val==1365<br>                                                                                                                                         |[0x800018fc]:xori a1, a0, 1365<br> [0x80001900]:sw a1, 1604(gp)<br>  |
| 425|[0x800046b0]<br>0xCCCCC998|- rs1_val==858993458 and imm_val==-1366<br>                                                                                                                                        |[0x8000190c]:xori a1, a0, 2730<br> [0x80001910]:sw a1, 1608(gp)<br>  |
| 426|[0x800046b4]<br>0x33333337|- rs1_val==858993458 and imm_val==5<br>                                                                                                                                            |[0x8000191c]:xori a1, a0, 5<br> [0x80001920]:sw a1, 1612(gp)<br>     |
| 427|[0x800046b8]<br>0x33333001|- rs1_val==858993458 and imm_val==819<br>                                                                                                                                          |[0x8000192c]:xori a1, a0, 819<br> [0x80001930]:sw a1, 1616(gp)<br>   |
| 428|[0x800046bc]<br>0x33333554|- rs1_val==858993458 and imm_val==1638<br>                                                                                                                                         |[0x8000193c]:xori a1, a0, 1638<br> [0x80001940]:sw a1, 1620(gp)<br>  |
| 429|[0x800046c0]<br>0xCCCCCCE1|- rs1_val==858993458 and imm_val==-45<br>                                                                                                                                          |[0x8000194c]:xori a1, a0, 4051<br> [0x80001950]:sw a1, 1624(gp)<br>  |
| 430|[0x800046c4]<br>0x3333331F|- rs1_val==858993458 and imm_val==45<br>                                                                                                                                           |[0x8000195c]:xori a1, a0, 45<br> [0x80001960]:sw a1, 1628(gp)<br>    |
| 431|[0x800046c8]<br>0x33333330|- rs1_val==858993458 and imm_val==2<br>                                                                                                                                            |[0x8000196c]:xori a1, a0, 2<br> [0x80001970]:sw a1, 1632(gp)<br>     |
| 432|[0x800046cc]<br>0x33333666|- rs1_val==858993458 and imm_val==1364<br>                                                                                                                                         |[0x8000197c]:xori a1, a0, 1364<br> [0x80001980]:sw a1, 1636(gp)<br>  |
| 433|[0x800046d0]<br>0x33333332|- rs1_val==858993458 and imm_val==0<br>                                                                                                                                            |[0x8000198c]:xori a1, a0, 0<br> [0x80001990]:sw a1, 1640(gp)<br>     |
| 434|[0x800046d4]<br>0x33333336|- rs1_val==858993458 and imm_val==4<br>                                                                                                                                            |[0x8000199c]:xori a1, a0, 4<br> [0x800019a0]:sw a1, 1644(gp)<br>     |
| 435|[0x800046d8]<br>0x33333000|- rs1_val==858993458 and imm_val==818<br>                                                                                                                                          |[0x800019ac]:xori a1, a0, 818<br> [0x800019b0]:sw a1, 1648(gp)<br>   |
| 436|[0x800046dc]<br>0x33333557|- rs1_val==858993458 and imm_val==1637<br>                                                                                                                                         |[0x800019bc]:xori a1, a0, 1637<br> [0x800019c0]:sw a1, 1652(gp)<br>  |
| 437|[0x800046e0]<br>0x3333331E|- rs1_val==858993458 and imm_val==44<br>                                                                                                                                           |[0x800019cc]:xori a1, a0, 44<br> [0x800019d0]:sw a1, 1656(gp)<br>    |
| 438|[0x800046e4]<br>0x33333664|- rs1_val==858993458 and imm_val==1366<br>                                                                                                                                         |[0x800019dc]:xori a1, a0, 1366<br> [0x800019e0]:sw a1, 1660(gp)<br>  |
| 439|[0x800046e8]<br>0xCCCCC999|- rs1_val==858993458 and imm_val==-1365<br>                                                                                                                                        |[0x800019ec]:xori a1, a0, 2731<br> [0x800019f0]:sw a1, 1664(gp)<br>  |
| 440|[0x800046ec]<br>0x33333334|- rs1_val==858993458 and imm_val==6<br>                                                                                                                                            |[0x800019fc]:xori a1, a0, 6<br> [0x80001a00]:sw a1, 1668(gp)<br>     |
| 441|[0x800046f0]<br>0x33333006|- rs1_val==858993458 and imm_val==820<br>                                                                                                                                          |[0x80001a0c]:xori a1, a0, 820<br> [0x80001a10]:sw a1, 1672(gp)<br>   |
| 442|[0x800046f4]<br>0x33333555|- rs1_val==858993458 and imm_val==1639<br>                                                                                                                                         |[0x80001a1c]:xori a1, a0, 1639<br> [0x80001a20]:sw a1, 1676(gp)<br>  |
| 443|[0x800046f8]<br>0xCCCCCCE6|- rs1_val==858993458 and imm_val==-44<br>                                                                                                                                          |[0x80001a2c]:xori a1, a0, 4052<br> [0x80001a30]:sw a1, 1680(gp)<br>  |
| 444|[0x800046fc]<br>0x3333331C|- rs1_val==858993458 and imm_val==46<br>                                                                                                                                           |[0x80001a3c]:xori a1, a0, 46<br> [0x80001a40]:sw a1, 1684(gp)<br>    |
| 445|[0x80004700]<br>0x66666666|- rs1_val==1717986917 and imm_val==3<br>                                                                                                                                           |[0x80001a4c]:xori a1, a0, 3<br> [0x80001a50]:sw a1, 1688(gp)<br>     |
| 446|[0x80004704]<br>0x66666330|- rs1_val==1717986917 and imm_val==1365<br>                                                                                                                                        |[0x80001a5c]:xori a1, a0, 1365<br> [0x80001a60]:sw a1, 1692(gp)<br>  |
| 447|[0x80004708]<br>0x99999CCF|- rs1_val==1717986917 and imm_val==-1366<br>                                                                                                                                       |[0x80001a6c]:xori a1, a0, 2730<br> [0x80001a70]:sw a1, 1696(gp)<br>  |
| 448|[0x8000470c]<br>0x66666660|- rs1_val==1717986917 and imm_val==5<br>                                                                                                                                           |[0x80001a7c]:xori a1, a0, 5<br> [0x80001a80]:sw a1, 1700(gp)<br>     |
| 449|[0x80004710]<br>0x66666556|- rs1_val==1717986917 and imm_val==819<br>                                                                                                                                         |[0x80001a8c]:xori a1, a0, 819<br> [0x80001a90]:sw a1, 1704(gp)<br>   |
| 450|[0x80004714]<br>0x66666003|- rs1_val==1717986917 and imm_val==1638<br>                                                                                                                                        |[0x80001a9c]:xori a1, a0, 1638<br> [0x80001aa0]:sw a1, 1708(gp)<br>  |
| 451|[0x80004718]<br>0x999999B6|- rs1_val==1717986917 and imm_val==-45<br>                                                                                                                                         |[0x80001aac]:xori a1, a0, 4051<br> [0x80001ab0]:sw a1, 1712(gp)<br>  |
| 452|[0x8000471c]<br>0x66666648|- rs1_val==1717986917 and imm_val==45<br>                                                                                                                                          |[0x80001abc]:xori a1, a0, 45<br> [0x80001ac0]:sw a1, 1716(gp)<br>    |
| 453|[0x80004720]<br>0x66666667|- rs1_val==1717986917 and imm_val==2<br>                                                                                                                                           |[0x80001acc]:xori a1, a0, 2<br> [0x80001ad0]:sw a1, 1720(gp)<br>     |
| 454|[0x80004724]<br>0x66666331|- rs1_val==1717986917 and imm_val==1364<br>                                                                                                                                        |[0x80001adc]:xori a1, a0, 1364<br> [0x80001ae0]:sw a1, 1724(gp)<br>  |
| 455|[0x80004728]<br>0x66666665|- rs1_val==1717986917 and imm_val==0<br>                                                                                                                                           |[0x80001aec]:xori a1, a0, 0<br> [0x80001af0]:sw a1, 1728(gp)<br>     |
| 456|[0x8000472c]<br>0x66666661|- rs1_val==1717986917 and imm_val==4<br>                                                                                                                                           |[0x80001afc]:xori a1, a0, 4<br> [0x80001b00]:sw a1, 1732(gp)<br>     |
| 457|[0x80004730]<br>0x66666557|- rs1_val==1717986917 and imm_val==818<br>                                                                                                                                         |[0x80001b0c]:xori a1, a0, 818<br> [0x80001b10]:sw a1, 1736(gp)<br>   |
| 458|[0x80004734]<br>0x66666000|- rs1_val==1717986917 and imm_val==1637<br>                                                                                                                                        |[0x80001b1c]:xori a1, a0, 1637<br> [0x80001b20]:sw a1, 1740(gp)<br>  |
| 459|[0x80004738]<br>0x66666649|- rs1_val==1717986917 and imm_val==44<br>                                                                                                                                          |[0x80001b2c]:xori a1, a0, 44<br> [0x80001b30]:sw a1, 1744(gp)<br>    |
| 460|[0x8000473c]<br>0x66666333|- rs1_val==1717986917 and imm_val==1366<br>                                                                                                                                        |[0x80001b3c]:xori a1, a0, 1366<br> [0x80001b40]:sw a1, 1748(gp)<br>  |
| 461|[0x80004740]<br>0x99999CCE|- rs1_val==1717986917 and imm_val==-1365<br>                                                                                                                                       |[0x80001b4c]:xori a1, a0, 2731<br> [0x80001b50]:sw a1, 1752(gp)<br>  |
| 462|[0x80004744]<br>0x66666663|- rs1_val==1717986917 and imm_val==6<br>                                                                                                                                           |[0x80001b5c]:xori a1, a0, 6<br> [0x80001b60]:sw a1, 1756(gp)<br>     |
| 463|[0x80004748]<br>0x66666551|- rs1_val==1717986917 and imm_val==820<br>                                                                                                                                         |[0x80001b6c]:xori a1, a0, 820<br> [0x80001b70]:sw a1, 1760(gp)<br>   |
| 464|[0x8000474c]<br>0x66666002|- rs1_val==1717986917 and imm_val==1639<br>                                                                                                                                        |[0x80001b7c]:xori a1, a0, 1639<br> [0x80001b80]:sw a1, 1764(gp)<br>  |
| 465|[0x80004750]<br>0x999999B1|- rs1_val==1717986917 and imm_val==-44<br>                                                                                                                                         |[0x80001b8c]:xori a1, a0, 4052<br> [0x80001b90]:sw a1, 1768(gp)<br>  |
| 466|[0x80004754]<br>0x6666664B|- rs1_val==1717986917 and imm_val==46<br>                                                                                                                                          |[0x80001b9c]:xori a1, a0, 46<br> [0x80001ba0]:sw a1, 1772(gp)<br>    |
| 467|[0x80004758]<br>0x0000B500|- rs1_val==46339 and imm_val==3<br>                                                                                                                                                |[0x80001bac]:xori a1, a0, 3<br> [0x80001bb0]:sw a1, 1776(gp)<br>     |
| 468|[0x8000475c]<br>0x0000B056|- rs1_val==46339 and imm_val==1365<br>                                                                                                                                             |[0x80001bbc]:xori a1, a0, 1365<br> [0x80001bc0]:sw a1, 1780(gp)<br>  |
| 469|[0x80004760]<br>0xFFFF4FA9|- rs1_val==46339 and imm_val==-1366<br>                                                                                                                                            |[0x80001bcc]:xori a1, a0, 2730<br> [0x80001bd0]:sw a1, 1784(gp)<br>  |
| 470|[0x80004764]<br>0x0000B506|- rs1_val==46339 and imm_val==5<br>                                                                                                                                                |[0x80001bdc]:xori a1, a0, 5<br> [0x80001be0]:sw a1, 1788(gp)<br>     |
| 471|[0x80004768]<br>0x0000B630|- rs1_val==46339 and imm_val==819<br>                                                                                                                                              |[0x80001bec]:xori a1, a0, 819<br> [0x80001bf0]:sw a1, 1792(gp)<br>   |
| 472|[0x8000476c]<br>0x0000B365|- rs1_val==46339 and imm_val==1638<br>                                                                                                                                             |[0x80001bfc]:xori a1, a0, 1638<br> [0x80001c00]:sw a1, 1796(gp)<br>  |
| 473|[0x80004770]<br>0xFFFF4AD0|- rs1_val==46339 and imm_val==-45<br>                                                                                                                                              |[0x80001c0c]:xori a1, a0, 4051<br> [0x80001c10]:sw a1, 1800(gp)<br>  |
| 474|[0x80004774]<br>0x0000B52E|- rs1_val==46339 and imm_val==45<br>                                                                                                                                               |[0x80001c1c]:xori a1, a0, 45<br> [0x80001c20]:sw a1, 1804(gp)<br>    |
| 475|[0x80004778]<br>0x0000B501|- rs1_val==46339 and imm_val==2<br>                                                                                                                                                |[0x80001c2c]:xori a1, a0, 2<br> [0x80001c30]:sw a1, 1808(gp)<br>     |
| 476|[0x8000477c]<br>0x0000B057|- rs1_val==46339 and imm_val==1364<br>                                                                                                                                             |[0x80001c3c]:xori a1, a0, 1364<br> [0x80001c40]:sw a1, 1812(gp)<br>  |
| 477|[0x80004780]<br>0x0000B503|- rs1_val==46339 and imm_val==0<br>                                                                                                                                                |[0x80001c4c]:xori a1, a0, 0<br> [0x80001c50]:sw a1, 1816(gp)<br>     |
| 478|[0x80004784]<br>0x0000B507|- rs1_val==46339 and imm_val==4<br>                                                                                                                                                |[0x80001c5c]:xori a1, a0, 4<br> [0x80001c60]:sw a1, 1820(gp)<br>     |
| 479|[0x80004788]<br>0x0000B631|- rs1_val==46339 and imm_val==818<br>                                                                                                                                              |[0x80001c6c]:xori a1, a0, 818<br> [0x80001c70]:sw a1, 1824(gp)<br>   |
| 480|[0x8000478c]<br>0x0000B366|- rs1_val==46339 and imm_val==1637<br>                                                                                                                                             |[0x80001c7c]:xori a1, a0, 1637<br> [0x80001c80]:sw a1, 1828(gp)<br>  |
| 481|[0x80004790]<br>0x0000B52F|- rs1_val==46339 and imm_val==44<br>                                                                                                                                               |[0x80001c8c]:xori a1, a0, 44<br> [0x80001c90]:sw a1, 1832(gp)<br>    |
| 482|[0x80004794]<br>0x0000B055|- rs1_val==46339 and imm_val==1366<br>                                                                                                                                             |[0x80001c9c]:xori a1, a0, 1366<br> [0x80001ca0]:sw a1, 1836(gp)<br>  |
| 483|[0x80004798]<br>0xFFFF4FA8|- rs1_val==46339 and imm_val==-1365<br>                                                                                                                                            |[0x80001cac]:xori a1, a0, 2731<br> [0x80001cb0]:sw a1, 1840(gp)<br>  |
| 484|[0x8000479c]<br>0x0000B505|- rs1_val==46339 and imm_val==6<br>                                                                                                                                                |[0x80001cbc]:xori a1, a0, 6<br> [0x80001cc0]:sw a1, 1844(gp)<br>     |
| 485|[0x800047a0]<br>0x0000B637|- rs1_val==46339 and imm_val==820<br>                                                                                                                                              |[0x80001ccc]:xori a1, a0, 820<br> [0x80001cd0]:sw a1, 1848(gp)<br>   |
| 486|[0x800047a4]<br>0x0000B364|- rs1_val==46339 and imm_val==1639<br>                                                                                                                                             |[0x80001cdc]:xori a1, a0, 1639<br> [0x80001ce0]:sw a1, 1852(gp)<br>  |
| 487|[0x800047a8]<br>0xFFFF4AD7|- rs1_val==46339 and imm_val==-44<br>                                                                                                                                              |[0x80001cec]:xori a1, a0, 4052<br> [0x80001cf0]:sw a1, 1856(gp)<br>  |
| 488|[0x800047ac]<br>0x0000B52D|- rs1_val==46339 and imm_val==46<br>                                                                                                                                               |[0x80001cfc]:xori a1, a0, 46<br> [0x80001d00]:sw a1, 1860(gp)<br>    |
| 489|[0x800047b0]<br>0x55555555|- rs1_val==1431655766 and imm_val==3<br>                                                                                                                                           |[0x80001d0c]:xori a1, a0, 3<br> [0x80001d10]:sw a1, 1864(gp)<br>     |
| 490|[0x800047b4]<br>0x55555003|- rs1_val==1431655766 and imm_val==1365<br>                                                                                                                                        |[0x80001d1c]:xori a1, a0, 1365<br> [0x80001d20]:sw a1, 1868(gp)<br>  |
| 491|[0x800047b8]<br>0xAAAAAFFC|- rs1_val==1431655766 and imm_val==-1366<br>                                                                                                                                       |[0x80001d2c]:xori a1, a0, 2730<br> [0x80001d30]:sw a1, 1872(gp)<br>  |
| 492|[0x800047bc]<br>0x55555553|- rs1_val==1431655766 and imm_val==5<br>                                                                                                                                           |[0x80001d3c]:xori a1, a0, 5<br> [0x80001d40]:sw a1, 1876(gp)<br>     |
| 493|[0x800047c0]<br>0x55555665|- rs1_val==1431655766 and imm_val==819<br>                                                                                                                                         |[0x80001d4c]:xori a1, a0, 819<br> [0x80001d50]:sw a1, 1880(gp)<br>   |
| 494|[0x800047c4]<br>0x55555330|- rs1_val==1431655766 and imm_val==1638<br>                                                                                                                                        |[0x80001d5c]:xori a1, a0, 1638<br> [0x80001d60]:sw a1, 1884(gp)<br>  |
| 495|[0x800047c8]<br>0xAAAAAA85|- rs1_val==1431655766 and imm_val==-45<br>                                                                                                                                         |[0x80001d6c]:xori a1, a0, 4051<br> [0x80001d70]:sw a1, 1888(gp)<br>  |
| 496|[0x800047cc]<br>0x5555557B|- rs1_val==1431655766 and imm_val==45<br>                                                                                                                                          |[0x80001d7c]:xori a1, a0, 45<br> [0x80001d80]:sw a1, 1892(gp)<br>    |
| 497|[0x800047d0]<br>0x55555554|- rs1_val==1431655766 and imm_val==2<br>                                                                                                                                           |[0x80001d8c]:xori a1, a0, 2<br> [0x80001d90]:sw a1, 1896(gp)<br>     |
| 498|[0x800047d4]<br>0x55555002|- rs1_val==1431655766 and imm_val==1364<br>                                                                                                                                        |[0x80001d9c]:xori a1, a0, 1364<br> [0x80001da0]:sw a1, 1900(gp)<br>  |
| 499|[0x800047d8]<br>0x55555556|- rs1_val==1431655766 and imm_val==0<br>                                                                                                                                           |[0x80001dac]:xori a1, a0, 0<br> [0x80001db0]:sw a1, 1904(gp)<br>     |
| 500|[0x800047dc]<br>0x55555552|- rs1_val==1431655766 and imm_val==4<br>                                                                                                                                           |[0x80001dbc]:xori a1, a0, 4<br> [0x80001dc0]:sw a1, 1908(gp)<br>     |
| 501|[0x800047e0]<br>0x55555664|- rs1_val==1431655766 and imm_val==818<br>                                                                                                                                         |[0x80001dcc]:xori a1, a0, 818<br> [0x80001dd0]:sw a1, 1912(gp)<br>   |
| 502|[0x800047e4]<br>0x55555333|- rs1_val==1431655766 and imm_val==1637<br>                                                                                                                                        |[0x80001ddc]:xori a1, a0, 1637<br> [0x80001de0]:sw a1, 1916(gp)<br>  |
| 503|[0x800047e8]<br>0x5555557A|- rs1_val==1431655766 and imm_val==44<br>                                                                                                                                          |[0x80001dec]:xori a1, a0, 44<br> [0x80001df0]:sw a1, 1920(gp)<br>    |
| 504|[0x800047ec]<br>0x55555000|- rs1_val==1431655766 and imm_val==1366<br>                                                                                                                                        |[0x80001dfc]:xori a1, a0, 1366<br> [0x80001e00]:sw a1, 1924(gp)<br>  |
| 505|[0x800047f0]<br>0xAAAAAFFD|- rs1_val==1431655766 and imm_val==-1365<br>                                                                                                                                       |[0x80001e0c]:xori a1, a0, 2731<br> [0x80001e10]:sw a1, 1928(gp)<br>  |
| 506|[0x800047f4]<br>0x55555550|- rs1_val==1431655766 and imm_val==6<br>                                                                                                                                           |[0x80001e1c]:xori a1, a0, 6<br> [0x80001e20]:sw a1, 1932(gp)<br>     |
| 507|[0x800047f8]<br>0x55555662|- rs1_val==1431655766 and imm_val==820<br>                                                                                                                                         |[0x80001e2c]:xori a1, a0, 820<br> [0x80001e30]:sw a1, 1936(gp)<br>   |
| 508|[0x800047fc]<br>0x55555331|- rs1_val==1431655766 and imm_val==1639<br>                                                                                                                                        |[0x80001e3c]:xori a1, a0, 1639<br> [0x80001e40]:sw a1, 1940(gp)<br>  |
| 509|[0x80004800]<br>0xAAAAAA82|- rs1_val==1431655766 and imm_val==-44<br>                                                                                                                                         |[0x80001e4c]:xori a1, a0, 4052<br> [0x80001e50]:sw a1, 1944(gp)<br>  |
| 510|[0x80004804]<br>0x55555578|- rs1_val==1431655766 and imm_val==46<br>                                                                                                                                          |[0x80001e5c]:xori a1, a0, 46<br> [0x80001e60]:sw a1, 1948(gp)<br>    |
| 511|[0x80004808]<br>0xAAAAAAA8|- rs1_val==-1431655765 and imm_val==3<br>                                                                                                                                          |[0x80001e6c]:xori a1, a0, 3<br> [0x80001e70]:sw a1, 1952(gp)<br>     |
| 512|[0x8000480c]<br>0xAAAAAFFE|- rs1_val==-1431655765 and imm_val==1365<br>                                                                                                                                       |[0x80001e7c]:xori a1, a0, 1365<br> [0x80001e80]:sw a1, 1956(gp)<br>  |
| 513|[0x80004810]<br>0x55555001|- rs1_val==-1431655765 and imm_val==-1366<br>                                                                                                                                      |[0x80001e8c]:xori a1, a0, 2730<br> [0x80001e90]:sw a1, 1960(gp)<br>  |
| 514|[0x80004814]<br>0xAAAAAAAE|- rs1_val==-1431655765 and imm_val==5<br>                                                                                                                                          |[0x80001e9c]:xori a1, a0, 5<br> [0x80001ea0]:sw a1, 1964(gp)<br>     |
| 515|[0x80004818]<br>0xAAAAA998|- rs1_val==-1431655765 and imm_val==819<br>                                                                                                                                        |[0x80001eac]:xori a1, a0, 819<br> [0x80001eb0]:sw a1, 1968(gp)<br>   |
| 516|[0x8000481c]<br>0xAAAAACCD|- rs1_val==-1431655765 and imm_val==1638<br>                                                                                                                                       |[0x80001ebc]:xori a1, a0, 1638<br> [0x80001ec0]:sw a1, 1972(gp)<br>  |
| 517|[0x80004820]<br>0x55555578|- rs1_val==-1431655765 and imm_val==-45<br>                                                                                                                                        |[0x80001ecc]:xori a1, a0, 4051<br> [0x80001ed0]:sw a1, 1976(gp)<br>  |
| 518|[0x80004824]<br>0xAAAAAA86|- rs1_val==-1431655765 and imm_val==45<br>                                                                                                                                         |[0x80001edc]:xori a1, a0, 45<br> [0x80001ee0]:sw a1, 1980(gp)<br>    |
| 519|[0x80004828]<br>0xAAAAAAA9|- rs1_val==-1431655765 and imm_val==2<br>                                                                                                                                          |[0x80001eec]:xori a1, a0, 2<br> [0x80001ef0]:sw a1, 1984(gp)<br>     |
| 520|[0x8000482c]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1364<br>                                                                                                                                       |[0x80001efc]:xori a1, a0, 1364<br> [0x80001f00]:sw a1, 1988(gp)<br>  |
| 521|[0x80004830]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==0<br>                                                                                                                                          |[0x80001f0c]:xori a1, a0, 0<br> [0x80001f10]:sw a1, 1992(gp)<br>     |
| 522|[0x80004834]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==4<br>                                                                                                                                          |[0x80001f1c]:xori a1, a0, 4<br> [0x80001f20]:sw a1, 1996(gp)<br>     |
| 523|[0x80004838]<br>0xAAAAA999|- rs1_val==-1431655765 and imm_val==818<br>                                                                                                                                        |[0x80001f2c]:xori a1, a0, 818<br> [0x80001f30]:sw a1, 2000(gp)<br>   |
| 524|[0x8000483c]<br>0xAAAAACCE|- rs1_val==-1431655765 and imm_val==1637<br>                                                                                                                                       |[0x80001f3c]:xori a1, a0, 1637<br> [0x80001f40]:sw a1, 2004(gp)<br>  |
| 525|[0x80004840]<br>0xAAAAAA87|- rs1_val==-1431655765 and imm_val==44<br>                                                                                                                                         |[0x80001f4c]:xori a1, a0, 44<br> [0x80001f50]:sw a1, 2008(gp)<br>    |
| 526|[0x80004844]<br>0xAAAAAFFD|- rs1_val==-1431655765 and imm_val==1366<br>                                                                                                                                       |[0x80001f5c]:xori a1, a0, 1366<br> [0x80001f60]:sw a1, 2012(gp)<br>  |
| 527|[0x80004848]<br>0x55555000|- rs1_val==-1431655765 and imm_val==-1365<br>                                                                                                                                      |[0x80001f6c]:xori a1, a0, 2731<br> [0x80001f70]:sw a1, 2016(gp)<br>  |
| 528|[0x8000484c]<br>0xAAAAAAAD|- rs1_val==-1431655765 and imm_val==6<br>                                                                                                                                          |[0x80001f7c]:xori a1, a0, 6<br> [0x80001f80]:sw a1, 2020(gp)<br>     |
| 529|[0x80004850]<br>0xAAAAA99F|- rs1_val==-1431655765 and imm_val==820<br>                                                                                                                                        |[0x80001f8c]:xori a1, a0, 820<br> [0x80001f90]:sw a1, 2024(gp)<br>   |
| 530|[0x80004854]<br>0xAAAAACCC|- rs1_val==-1431655765 and imm_val==1639<br>                                                                                                                                       |[0x80001f9c]:xori a1, a0, 1639<br> [0x80001fa0]:sw a1, 2028(gp)<br>  |
| 531|[0x80004858]<br>0x5555557F|- rs1_val==-1431655765 and imm_val==-44<br>                                                                                                                                        |[0x80001fac]:xori a1, a0, 4052<br> [0x80001fb0]:sw a1, 2032(gp)<br>  |
| 532|[0x8000485c]<br>0xAAAAAA85|- rs1_val==-1431655765 and imm_val==46<br>                                                                                                                                         |[0x80001fbc]:xori a1, a0, 46<br> [0x80001fc0]:sw a1, 2036(gp)<br>    |
| 533|[0x80004860]<br>0x00000005|- rs1_val==6 and imm_val==3<br>                                                                                                                                                    |[0x80001fc8]:xori a1, a0, 3<br> [0x80001fcc]:sw a1, 2040(gp)<br>     |
| 534|[0x80004864]<br>0x00000553|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                 |[0x80001fd4]:xori a1, a0, 1365<br> [0x80001fd8]:sw a1, 2044(gp)<br>  |
| 535|[0x80004868]<br>0xFFFFFAAC|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                |[0x80001fe8]:xori a1, a0, 2730<br> [0x80001fec]:sw a1, 0(gp)<br>     |
| 536|[0x8000486c]<br>0x00000003|- rs1_val==6 and imm_val==5<br>                                                                                                                                                    |[0x80001ff4]:xori a1, a0, 5<br> [0x80001ff8]:sw a1, 4(gp)<br>        |
| 537|[0x80004870]<br>0x00000335|- rs1_val==6 and imm_val==819<br>                                                                                                                                                  |[0x80002000]:xori a1, a0, 819<br> [0x80002004]:sw a1, 8(gp)<br>      |
| 538|[0x80004874]<br>0x00000660|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                 |[0x8000200c]:xori a1, a0, 1638<br> [0x80002010]:sw a1, 12(gp)<br>    |
| 539|[0x80004878]<br>0xFFFFFFD5|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                  |[0x80002018]:xori a1, a0, 4051<br> [0x8000201c]:sw a1, 16(gp)<br>    |
| 540|[0x8000487c]<br>0x0000002B|- rs1_val==6 and imm_val==45<br>                                                                                                                                                   |[0x80002024]:xori a1, a0, 45<br> [0x80002028]:sw a1, 20(gp)<br>      |
| 541|[0x80004880]<br>0x00000004|- rs1_val==6 and imm_val==2<br>                                                                                                                                                    |[0x80002030]:xori a1, a0, 2<br> [0x80002034]:sw a1, 24(gp)<br>       |
| 542|[0x80004884]<br>0x00000552|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                 |[0x8000203c]:xori a1, a0, 1364<br> [0x80002040]:sw a1, 28(gp)<br>    |
| 543|[0x80004888]<br>0x00000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                                    |[0x80002048]:xori a1, a0, 0<br> [0x8000204c]:sw a1, 32(gp)<br>       |
| 544|[0x8000488c]<br>0x00000002|- rs1_val==6 and imm_val==4<br>                                                                                                                                                    |[0x80002054]:xori a1, a0, 4<br> [0x80002058]:sw a1, 36(gp)<br>       |
| 545|[0x80004890]<br>0x00000334|- rs1_val==6 and imm_val==818<br>                                                                                                                                                  |[0x80002060]:xori a1, a0, 818<br> [0x80002064]:sw a1, 40(gp)<br>     |
| 546|[0x80004894]<br>0x00000663|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                 |[0x8000206c]:xori a1, a0, 1637<br> [0x80002070]:sw a1, 44(gp)<br>    |
| 547|[0x80004898]<br>0x0000002A|- rs1_val==6 and imm_val==44<br>                                                                                                                                                   |[0x80002078]:xori a1, a0, 44<br> [0x8000207c]:sw a1, 48(gp)<br>      |
| 548|[0x8000489c]<br>0x00000550|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                 |[0x80002084]:xori a1, a0, 1366<br> [0x80002088]:sw a1, 52(gp)<br>    |
| 549|[0x800048a0]<br>0xFFFFFAAD|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                |[0x80002090]:xori a1, a0, 2731<br> [0x80002094]:sw a1, 56(gp)<br>    |
| 550|[0x800048a4]<br>0x00000000|- rs1_val==6 and imm_val==6<br>                                                                                                                                                    |[0x8000209c]:xori a1, a0, 6<br> [0x800020a0]:sw a1, 60(gp)<br>       |
| 551|[0x800048a8]<br>0x00000332|- rs1_val==6 and imm_val==820<br>                                                                                                                                                  |[0x800020a8]:xori a1, a0, 820<br> [0x800020ac]:sw a1, 64(gp)<br>     |
| 552|[0x800048ac]<br>0x00000661|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                 |[0x800020b4]:xori a1, a0, 1639<br> [0x800020b8]:sw a1, 68(gp)<br>    |
| 553|[0x800048b0]<br>0xFFFFFFD2|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                  |[0x800020c0]:xori a1, a0, 4052<br> [0x800020c4]:sw a1, 72(gp)<br>    |
| 554|[0x800048b4]<br>0x00000028|- rs1_val==6 and imm_val==46<br>                                                                                                                                                   |[0x800020cc]:xori a1, a0, 46<br> [0x800020d0]:sw a1, 76(gp)<br>      |
| 555|[0x800048b8]<br>0x33333337|- rs1_val==858993460 and imm_val==3<br>                                                                                                                                            |[0x800020dc]:xori a1, a0, 3<br> [0x800020e0]:sw a1, 80(gp)<br>       |
| 556|[0x800048bc]<br>0x33333661|- rs1_val==858993460 and imm_val==1365<br>                                                                                                                                         |[0x800020ec]:xori a1, a0, 1365<br> [0x800020f0]:sw a1, 84(gp)<br>    |
| 557|[0x800048c0]<br>0xCCCCC99E|- rs1_val==858993460 and imm_val==-1366<br>                                                                                                                                        |[0x800020fc]:xori a1, a0, 2730<br> [0x80002100]:sw a1, 88(gp)<br>    |
| 558|[0x800048c4]<br>0x33333331|- rs1_val==858993460 and imm_val==5<br>                                                                                                                                            |[0x8000210c]:xori a1, a0, 5<br> [0x80002110]:sw a1, 92(gp)<br>       |
| 559|[0x800048c8]<br>0x33333007|- rs1_val==858993460 and imm_val==819<br>                                                                                                                                          |[0x8000211c]:xori a1, a0, 819<br> [0x80002120]:sw a1, 96(gp)<br>     |
| 560|[0x800048cc]<br>0x33333552|- rs1_val==858993460 and imm_val==1638<br>                                                                                                                                         |[0x8000212c]:xori a1, a0, 1638<br> [0x80002130]:sw a1, 100(gp)<br>   |
| 561|[0x800048d0]<br>0xCCCCCCE7|- rs1_val==858993460 and imm_val==-45<br>                                                                                                                                          |[0x8000213c]:xori a1, a0, 4051<br> [0x80002140]:sw a1, 104(gp)<br>   |
| 562|[0x800048d4]<br>0x33333319|- rs1_val==858993460 and imm_val==45<br>                                                                                                                                           |[0x8000214c]:xori a1, a0, 45<br> [0x80002150]:sw a1, 108(gp)<br>     |
| 563|[0x800048d8]<br>0x33333336|- rs1_val==858993460 and imm_val==2<br>                                                                                                                                            |[0x8000215c]:xori a1, a0, 2<br> [0x80002160]:sw a1, 112(gp)<br>      |
| 564|[0x800048dc]<br>0x33333660|- rs1_val==858993460 and imm_val==1364<br>                                                                                                                                         |[0x8000216c]:xori a1, a0, 1364<br> [0x80002170]:sw a1, 116(gp)<br>   |
| 565|[0x800048e0]<br>0x33333334|- rs1_val==858993460 and imm_val==0<br>                                                                                                                                            |[0x8000217c]:xori a1, a0, 0<br> [0x80002180]:sw a1, 120(gp)<br>      |
| 566|[0x800048e4]<br>0x33333330|- rs1_val==858993460 and imm_val==4<br>                                                                                                                                            |[0x8000218c]:xori a1, a0, 4<br> [0x80002190]:sw a1, 124(gp)<br>      |
