
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800005c0')]      |
| SIG_REGION                | [('0x80002010', '0x80002170', '88 words')]      |
| COV_LABELS                | sha256sig1      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/sha256sig1-01.S/ref.S    |
| Total Number of coverpoints| 156     |
| Total Coverpoints Hit     | 151      |
| Total Signature Updates   | 86      |
| STAT1                     | 85      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005b4]:sha256sig1
      [0x800005b8]:sw
 -- Signature Address: 0x80002164 Data: 0x003ffbf5
 -- Redundant Coverpoints hit by the op
      - opcode : sha256sig1
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val == 4293918719






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                               coverpoints                                                |                      code                      |
|---:|--------------------------|----------------------------------------------------------------------------------------------------------|------------------------------------------------|
|   1|[0x80002010]<br>0x18d2a4a9|- opcode : sha256sig1<br> - rs1 : x2<br> - rd : x1<br> - rs1 != rd<br> - rs1_val == 0x254a9493 #nosat<br> |[0x80000108]:sha256sig1<br> [0x8000010c]:sw<br> |
|   2|[0x80002014]<br>0x001fafff|- rs1 : x3<br> - rd : x3<br> - rs1 == rd<br> - rs1_val == 2147483647<br>                                  |[0x80000118]:sha256sig1<br> [0x8000011c]:sw<br> |
|   3|[0x80002018]<br>0x002fd7ff|- rs1 : x30<br> - rd : x10<br> - rs1_val == 3221225471<br>                                                |[0x80000128]:sha256sig1<br> [0x8000012c]:sw<br> |
|   4|[0x8000201c]<br>0x0037ebff|- rs1 : x22<br> - rd : x18<br> - rs1_val == 3758096383<br>                                                |[0x80000138]:sha256sig1<br> [0x8000013c]:sw<br> |
|   5|[0x80002020]<br>0x003bf5ff|- rs1 : x7<br> - rd : x29<br> - rs1_val == 4026531839<br>                                                 |[0x80000148]:sha256sig1<br> [0x8000014c]:sw<br> |
|   6|[0x80002024]<br>0x00000000|- rs1 : x0<br> - rd : x8<br>                                                                              |[0x80000154]:sha256sig1<br> [0x80000158]:sw<br> |
|   7|[0x80002028]<br>0x003efd7f|- rs1 : x26<br> - rd : x7<br> - rs1_val == 4227858431<br>                                                 |[0x80000164]:sha256sig1<br> [0x80000168]:sw<br> |
|   8|[0x8000202c]<br>0x003f7ebf|- rs1 : x29<br> - rd : x20<br> - rs1_val == 4261412863<br>                                                |[0x80000174]:sha256sig1<br> [0x80000178]:sw<br> |
|   9|[0x80002030]<br>0x003fbf5f|- rs1 : x15<br> - rd : x9<br> - rs1_val == 4278190079<br>                                                 |[0x80000184]:sha256sig1<br> [0x80000188]:sw<br> |
|  10|[0x80002034]<br>0x003fdfaf|- rs1 : x12<br> - rd : x4<br> - rs1_val == 4286578687<br>                                                 |[0x80000194]:sha256sig1<br> [0x80000198]:sw<br> |
|  11|[0x80002038]<br>0x003fefd7|- rs1 : x1<br> - rd : x14<br> - rs1_val == 4290772991<br>                                                 |[0x800001a4]:sha256sig1<br> [0x800001a8]:sw<br> |
|  12|[0x8000203c]<br>0x003ff7eb|- rs1 : x11<br> - rd : x17<br> - rs1_val == 4292870143<br>                                                |[0x800001b4]:sha256sig1<br> [0x800001b8]:sw<br> |
|  13|[0x80002040]<br>0x00000000|- rs1 : x4<br> - rd : x0<br> - rs1_val == 4293918719<br>                                                  |[0x800001c4]:sha256sig1<br> [0x800001c8]:sw<br> |
|  14|[0x80002044]<br>0x003ffdfa|- rs1 : x27<br> - rd : x13<br> - rs1_val == 4294443007<br>                                                |[0x800001d4]:sha256sig1<br> [0x800001d8]:sw<br> |
|  15|[0x80002048]<br>0x803ffefd|- rs1 : x24<br> - rd : x25<br> - rs1_val == 4294705151<br>                                                |[0x800001e4]:sha256sig1<br> [0x800001e8]:sw<br> |
|  16|[0x8000204c]<br>0x403fff7e|- rs1 : x16<br> - rd : x15<br> - rs1_val == 4294836223<br>                                                |[0x800001f4]:sha256sig1<br> [0x800001f8]:sw<br> |
|  17|[0x80002050]<br>0xa03fffbf|- rs1 : x17<br> - rd : x30<br> - rs1_val == 4294901759<br>                                                |[0x80000204]:sha256sig1<br> [0x80000208]:sw<br> |
|  18|[0x80002054]<br>0x503fffdf|- rs1 : x14<br> - rd : x6<br> - rs1_val == 4294934527<br>                                                 |[0x80000214]:sha256sig1<br> [0x80000218]:sw<br> |
|  19|[0x80002058]<br>0x283fffef|- rs1 : x8<br> - rd : x27<br> - rs1_val == 4294950911<br>                                                 |[0x80000224]:sha256sig1<br> [0x80000228]:sw<br> |
|  20|[0x8000205c]<br>0x143ffff7|- rs1 : x5<br> - rd : x2<br> - rs1_val == 4294959103<br>                                                  |[0x80000234]:sha256sig1<br> [0x80000238]:sw<br> |
|  21|[0x80002060]<br>0x0a3ffffb|- rs1 : x13<br> - rd : x12<br> - rs1_val == 4294963199<br>                                                |[0x80000244]:sha256sig1<br> [0x80000248]:sw<br> |
|  22|[0x80002064]<br>0x053ffffd|- rs1 : x20<br> - rd : x22<br> - rs1_val == 4294965247<br>                                                |[0x80000254]:sha256sig1<br> [0x80000258]:sw<br> |
|  23|[0x80002068]<br>0x02bffffe|- rs1 : x23<br> - rd : x19<br> - rs1_val == 4294966271<br>                                                |[0x80000260]:sha256sig1<br> [0x80000264]:sw<br> |
|  24|[0x8000206c]<br>0x017fffff|- rs1 : x25<br> - rd : x26<br> - rs1_val == 4294966783<br>                                                |[0x80000274]:sha256sig1<br> [0x80000278]:sw<br> |
|  25|[0x80002070]<br>0x009fffff|- rs1 : x28<br> - rd : x21<br> - rs1_val == 4294967039<br>                                                |[0x80000280]:sha256sig1<br> [0x80000284]:sw<br> |
|  26|[0x80002074]<br>0x006fffff|- rs1 : x21<br> - rd : x5<br> - rs1_val == 4294967167<br>                                                 |[0x8000028c]:sha256sig1<br> [0x80000290]:sw<br> |
|  27|[0x80002078]<br>0x0017ffff|- rs1 : x31<br> - rd : x16<br> - rs1_val == 4294967231<br>                                                |[0x80000298]:sha256sig1<br> [0x8000029c]:sw<br> |
|  28|[0x8000207c]<br>0x002bffff|- rs1 : x19<br> - rd : x23<br> - rs1_val == 4294967263<br>                                                |[0x800002a4]:sha256sig1<br> [0x800002a8]:sw<br> |
|  29|[0x80002080]<br>0x0035ffff|- rs1 : x10<br> - rd : x11<br> - rs1_val == 4294967279<br>                                                |[0x800002b0]:sha256sig1<br> [0x800002b4]:sw<br> |
|  30|[0x80002084]<br>0x003affff|- rs1 : x18<br> - rd : x31<br> - rs1_val == 4294967287<br>                                                |[0x800002bc]:sha256sig1<br> [0x800002c0]:sw<br> |
|  31|[0x80002088]<br>0x003d7fff|- rs1 : x9<br> - rd : x28<br> - rs1_val == 4294967291<br>                                                 |[0x800002c8]:sha256sig1<br> [0x800002cc]:sw<br> |
|  32|[0x8000208c]<br>0x003ebfff|- rs1 : x6<br> - rd : x24<br> - rs1_val == 4294967293<br>                                                 |[0x800002d4]:sha256sig1<br> [0x800002d8]:sw<br> |
|  33|[0x80002090]<br>0x003f5fff|- rs1_val == 4294967294<br>                                                                               |[0x800002e0]:sha256sig1<br> [0x800002e4]:sw<br> |
|  34|[0x80002094]<br>0x00205000|- rs1_val == 2147483648<br>                                                                               |[0x800002ec]:sha256sig1<br> [0x800002f0]:sw<br> |
|  35|[0x80002098]<br>0x00102800|- rs1_val == 1073741824<br>                                                                               |[0x800002f8]:sha256sig1<br> [0x800002fc]:sw<br> |
|  36|[0x8000209c]<br>0x00081400|- rs1_val == 536870912<br>                                                                                |[0x80000304]:sha256sig1<br> [0x80000308]:sw<br> |
|  37|[0x800020a0]<br>0x00040a00|- rs1_val == 268435456<br>                                                                                |[0x80000310]:sha256sig1<br> [0x80000314]:sw<br> |
|  38|[0x800020a4]<br>0x00020500|- rs1_val == 134217728<br>                                                                                |[0x8000031c]:sha256sig1<br> [0x80000320]:sw<br> |
|  39|[0x800020a8]<br>0x00010280|- rs1_val == 67108864<br>                                                                                 |[0x80000328]:sha256sig1<br> [0x8000032c]:sw<br> |
|  40|[0x800020ac]<br>0x00008140|- rs1_val == 33554432<br>                                                                                 |[0x80000334]:sha256sig1<br> [0x80000338]:sw<br> |
|  41|[0x800020b0]<br>0x000040a0|- rs1_val == 16777216<br>                                                                                 |[0x80000340]:sha256sig1<br> [0x80000344]:sw<br> |
|  42|[0x800020b4]<br>0x00002050|- rs1_val == 8388608<br>                                                                                  |[0x8000034c]:sha256sig1<br> [0x80000350]:sw<br> |
|  43|[0x800020b8]<br>0x00001028|- rs1_val == 4194304<br>                                                                                  |[0x80000358]:sha256sig1<br> [0x8000035c]:sw<br> |
|  44|[0x800020bc]<br>0x00000814|- rs1_val == 2097152<br>                                                                                  |[0x80000364]:sha256sig1<br> [0x80000368]:sw<br> |
|  45|[0x800020c0]<br>0x0000040a|- rs1_val == 1048576<br>                                                                                  |[0x80000370]:sha256sig1<br> [0x80000374]:sw<br> |
|  46|[0x800020c4]<br>0x00000205|- rs1_val == 524288<br>                                                                                   |[0x8000037c]:sha256sig1<br> [0x80000380]:sw<br> |
|  47|[0x800020c8]<br>0x80000102|- rs1_val == 262144<br>                                                                                   |[0x80000388]:sha256sig1<br> [0x8000038c]:sw<br> |
|  48|[0x800020cc]<br>0x40000081|- rs1_val == 131072<br>                                                                                   |[0x80000394]:sha256sig1<br> [0x80000398]:sw<br> |
|  49|[0x800020d0]<br>0xa0000040|- rs1_val == 65536<br>                                                                                    |[0x800003a0]:sha256sig1<br> [0x800003a4]:sw<br> |
|  50|[0x800020d4]<br>0x50000020|- rs1_val == 32768<br>                                                                                    |[0x800003ac]:sha256sig1<br> [0x800003b0]:sw<br> |
|  51|[0x800020d8]<br>0x28000010|- rs1_val == 16384<br>                                                                                    |[0x800003b8]:sha256sig1<br> [0x800003bc]:sw<br> |
|  52|[0x800020dc]<br>0x14000008|- rs1_val == 8192<br>                                                                                     |[0x800003c4]:sha256sig1<br> [0x800003c8]:sw<br> |
|  53|[0x800020e0]<br>0x0a000004|- rs1_val == 4096<br>                                                                                     |[0x800003d0]:sha256sig1<br> [0x800003d4]:sw<br> |
|  54|[0x800020e4]<br>0x0000a000|- rs1_val == 1<br>                                                                                        |[0x800003dc]:sha256sig1<br> [0x800003e0]:sw<br> |
|  55|[0x800020e8]<br>0x6e4e0abb|- rs1_val == 0x3150e5fa #nosat<br>                                                                        |[0x800003ec]:sha256sig1<br> [0x800003f0]:sw<br> |
|  56|[0x800020ec]<br>0x2df24187|- rs1_val == 0x90efb625 #nosat<br>                                                                        |[0x800003fc]:sha256sig1<br> [0x80000400]:sw<br> |
|  57|[0x800020f0]<br>0x57ae8e2b|- rs1_val == 0x65408c73 #nosat<br>                                                                        |[0x8000040c]:sha256sig1<br> [0x80000410]:sw<br> |
|  58|[0x800020f4]<br>0xdb9bbd3e|- rs1_val == 0x1fc493ca #nosat<br>                                                                        |[0x8000041c]:sha256sig1<br> [0x80000420]:sw<br> |
|  59|[0x800020f8]<br>0xe5b728f1|- rs1_val == 0xd169a3f8 #nosat<br>                                                                        |[0x8000042c]:sha256sig1<br> [0x80000430]:sw<br> |
|  60|[0x800020fc]<br>0x83b39d79|- rs1_val == 0x8e2eac2a #nosat<br>                                                                        |[0x8000043c]:sha256sig1<br> [0x80000440]:sw<br> |
|  61|[0x80002100]<br>0xe1de3439|- rs1_val == 0xf4c30307 #nosat<br>                                                                        |[0x8000044c]:sha256sig1<br> [0x80000450]:sw<br> |
|  62|[0x80002104]<br>0xbd5d020e|- rs1_val == 0x35f9377f #nosat<br>                                                                        |[0x8000045c]:sha256sig1<br> [0x80000460]:sw<br> |
|  63|[0x80002108]<br>0x9d3d9186|- rs1_val == 0xa0569d76 #nosat<br>                                                                        |[0x8000046c]:sha256sig1<br> [0x80000470]:sw<br> |
|  64|[0x8000210c]<br>0x0d565222|- rs1_val == 0x58d548aa #nosat<br>                                                                        |[0x8000047c]:sha256sig1<br> [0x80000480]:sw<br> |
|  65|[0x80002110]<br>0x3e301884|- rs1_val == 0x2daf9ac7 #nosat<br>                                                                        |[0x8000048c]:sha256sig1<br> [0x80000490]:sw<br> |
|  66|[0x80002114]<br>0xf7af9634|- rs1_val == 0x55d98c6e #nosat<br>                                                                        |[0x8000049c]:sha256sig1<br> [0x800004a0]:sw<br> |
|  67|[0x80002118]<br>0xac937b9a|- rs1_val == 0xf273b44c #nosat<br>                                                                        |[0x800004ac]:sha256sig1<br> [0x800004b0]:sw<br> |
|  68|[0x8000211c]<br>0x748e7afc|- rs1_val == 0x74b8de87 #nosat<br>                                                                        |[0x800004bc]:sha256sig1<br> [0x800004c0]:sw<br> |
|  69|[0x80002120]<br>0x9a7c4e35|- rs1_val == 0x886c3a30 #nosat<br>                                                                        |[0x800004cc]:sha256sig1<br> [0x800004d0]:sw<br> |
|  70|[0x80002124]<br>0xd6b4cc77|- rs1_val == 0xccce240c #nosat<br>                                                                        |[0x800004dc]:sha256sig1<br> [0x800004e0]:sw<br> |
|  71|[0x80002128]<br>0xe1f1b2b6|- rs1_val == 0xbb61a9cd #nosat<br>                                                                        |[0x800004ec]:sha256sig1<br> [0x800004f0]:sw<br> |
|  72|[0x8000212c]<br>0xd1b8ebfd|- rs1_val == 0xb49c83dc #nosat<br>                                                                        |[0x800004fc]:sha256sig1<br> [0x80000500]:sw<br> |
|  73|[0x80002130]<br>0x49cd2e86|- rs1_val == 0xc5521660 #nosat<br>                                                                        |[0x8000050c]:sha256sig1<br> [0x80000510]:sw<br> |
|  74|[0x80002134]<br>0x05000002|- rs1_val == 2048<br>                                                                                     |[0x8000051c]:sha256sig1<br> [0x80000520]:sw<br> |
|  75|[0x80002138]<br>0x02800001|- rs1_val == 1024<br>                                                                                     |[0x80000528]:sha256sig1<br> [0x8000052c]:sw<br> |
|  76|[0x8000213c]<br>0x01400000|- rs1_val == 512<br>                                                                                      |[0x80000534]:sha256sig1<br> [0x80000538]:sw<br> |
|  77|[0x80002140]<br>0x00a00000|- rs1_val == 256<br>                                                                                      |[0x80000540]:sha256sig1<br> [0x80000544]:sw<br> |
|  78|[0x80002144]<br>0x00500000|- rs1_val == 128<br>                                                                                      |[0x8000054c]:sha256sig1<br> [0x80000550]:sw<br> |
|  79|[0x80002148]<br>0x00280000|- rs1_val == 64<br>                                                                                       |[0x80000558]:sha256sig1<br> [0x8000055c]:sw<br> |
|  80|[0x8000214c]<br>0x00140000|- rs1_val == 32<br>                                                                                       |[0x80000564]:sha256sig1<br> [0x80000568]:sw<br> |
|  81|[0x80002150]<br>0x000a0000|- rs1_val == 16<br>                                                                                       |[0x80000570]:sha256sig1<br> [0x80000574]:sw<br> |
|  82|[0x80002154]<br>0x00050000|- rs1_val == 8<br>                                                                                        |[0x8000057c]:sha256sig1<br> [0x80000580]:sw<br> |
|  83|[0x80002158]<br>0x00028000|- rs1_val == 4<br>                                                                                        |[0x80000588]:sha256sig1<br> [0x8000058c]:sw<br> |
|  84|[0x8000215c]<br>0x00014000|- rs1_val == 2<br>                                                                                        |[0x80000594]:sha256sig1<br> [0x80000598]:sw<br> |
|  85|[0x80002160]<br>0x003dfaff|- rs1_val == 4160749567<br>                                                                               |[0x800005a4]:sha256sig1<br> [0x800005a8]:sw<br> |
